<?php

// ACP Header - START
if (!empty($setmodules))
{
	$module['General']['Mass_Email'] = basename(__FILE__);
	return;
}
require('./pagestart.php');
require(INC_DIR .'bbcode.'. PHP_EXT);
require(INC_DIR .'functions_post.'. PHP_EXT);
// ACP Header - END

@set_time_limit(120000);

$message = '';
$subject = '';

//
// Do the job ...
//
if ( isset($HTTP_POST_VARS['submit']) )
{
	$subject = stripslashes(trim($HTTP_POST_VARS['subject']));
	$message = stripslashes(trim($HTTP_POST_VARS['message']));

	$error = FALSE;
	$error_msg = '';

	if ( empty($subject) )
	{
		$error = true;
		$error_msg .= ( !empty($error_msg) ) ? '<br />' . $lang['Empty_subject'] : $lang['Empty_subject'];
	}

	if ( empty($message) )
	{
		$error = true;
		$error_msg .= ( !empty($error_msg) ) ? '<br />' . $lang['Empty_message'] : $lang['Empty_message'];
	}

	$group_id = intval($HTTP_POST_VARS[POST_GROUPS_URL]);

	$send_mode = intval($HTTP_POST_VARS['send_mode']);


	if ($group_id != -1)
	{

		$sql = "SELECT u.user_id, u.user_email FROM " . USERS_TABLE . " u, " . USER_GROUP_TABLE . " ug WHERE ug.group_id = $group_id AND ug.user_pending <> 1 AND u.user_id = ug.user_id and u.user_active = 1";

		if ( !($result = $db->sql_query($sql)) )
		{
			message_die(GENERAL_ERROR, 'Could not select group members', '', __LINE__, __FILE__, $sql);
		}


		if ($send_mode == 1)     // Mass PM
		{
		
			$recipients = array();    

			if ( $row = $db->sql_fetchrow($result) )
			{
				do
				{
					$recipients[] = $row;
				}
				while ( $row = $db->sql_fetchrow($result) );
				$db->sql_freeresult($result);


				foreach ($recipients as $user)
				{
					insert_pm($user['user_id'], $message, $subject, BOT_UID, 1, 1, 1);
					bb_log($user['user_id']."\n", 'mass_email_'. date('m-d_H'));
					sleep(0.1);
				}
			

			}
			else
			{
				$message = ( $group_id != -1 ) ? $lang['Group_not_exist'] : $lang['No_such_user'];
	
				$error = true;
				$error_msg .= ( !empty($error_msg) ) ? '<br />' . $message : $message;
			}
			unset($recipients);
			// end of
		}
		elseif ($send_mode == 2)  // Email
		{

			message_die(GENERAL_MESSAGE, "Функция пока в должной мере не реализована и отключена!");
		}

	}
	else // send to all
	{
		if ($send_mode == 1)     // Mass PM
		{
			bb_log("Mass email initiated!\n", 'mass_email_'. date('m-d_H'));
			insert_pm(-1, $message, $subject, BOT_UID, 1, 1, 0, 1);

			// костыль
			insert_pm(2, $message, $subject, BOT_UID, 1, 1, 1);

			bb_log("Mass email sent!\n", 'mass_email_'. date('m-d_H'));
	
		}
		elseif ($send_mode == 2)  // Email
		{

			message_die(GENERAL_MESSAGE, "Функция пока в должной мере не реализована и отключена!");
		}

	}

}

if ( @$error )
{
	$template->assign_vars(array('ERROR_MESSAGE' => $error_msg));
}

//
// Initial selection
//

$sql = "SELECT group_id, group_name
	FROM ".GROUPS_TABLE . "
	WHERE group_single_user <> 1";
if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not obtain list of groups', '', __LINE__, __FILE__, $sql);
}

$select_list = '<select name = "' . POST_GROUPS_URL . '"><option value = "-1">' . $lang['All_users'] . '</option>';
if ( $row = $db->sql_fetchrow($result) )
{
	do
	{
		$select_list .= '<option value = "' . $row['group_id'] . '">' . $row['group_name'] . '</option>';
	}
	while ( $row = $db->sql_fetchrow($result) );
}
$select_list .= '</select>';

//
// Generate page
//
require(PAGE_HEADER);

$template->assign_vars(array(
	'MESSAGE' => $message,
	'SUBJECT' => $subject,

	'L_EMAIL_EXPLAIN' => $lang['Mass_email_explain'],
	'L_COMPOSE' => $lang['Compose'],
	'L_RECIPIENTS' => $lang['Recipients'],
	'L_EMAIL_SUBJECT' => $lang['Subject'],
	'L_NOTICE' => @$notice,

	'S_USER_ACTION' => append_sid('admin_mass_email.'.$phpEx),
	'S_GROUP_SELECT' => $select_list)
);

print_page('admin_mass_email.tpl', 'admin');
