<?php
	
function make_seed()
{
    list($usec, $sec) = explode(' ', microtime());
    return (float) $sec + ((float) $usec * 100000);
}
    

function spin_slot()
{


    $slotsTypes = array(
		'cherry' => array(2,5,10),
		'orange' => array(0,15,30),
		'prune' => array(0,40,50),
		'bell' => array(0,50,80),
		'bar1' => array(0,0,100),
		'bar2' => array(0,0,150),
		'bar3' => array(0,0,250),
		'seven' => array(0,0,500),
		'anybar' => array(0,0,8),
    );

    $slots = array(
		0 => array('orange','bell','orange','bar2','prune','orange',
		'bar3','prune','orange','bar1','bell','cherry','orange',
		'prune','bell','bar1','cherry','seven','orange','prune',
		'orange','bell','orange'),

		1 => array('cherry','prune','orange','bell','bar1','cherry','prune',
		'bar3','cherry','bell','orange','bar1','seven','cherry',
		'bar2','cherry','bell','prune','cherry','orange','cherry',
		'prune','orange'),

		2 => array('cherry','orange','bell','prune','bar2','cherry','prune',
		'orange','bar3','cherry','bell','orange','cherry','orange',
		'cherry','prune','bar1','seven','bell','cherry','cherry',
		'orange','bell'),
    );

    // mt_srand(make_seed()+rand());

    $spin1 = mt_rand(0,22);
    $spin2 = mt_rand(0,22);
    $spin3 = mt_rand(0,22);


    $winnedCredits = 0;
    $slotType = $slots[0][$spin1];
    $matches = 1;
    $barMatch = preg_match("/bar/", $slotType) ? 1 : 0;
			
    if ( $slotType == $slots[1][$spin2]) 
    {
    	$matches++;
	if ($slotType == $slots[2][$spin3]) 
	{
		$matches++;
	} 
	elseif ($barMatch != 0 && preg_match("/bar/", $slots[2][$spin3])) 
	{
		$barMatch++;
	}
    } 
    elseif ($barMatch != 0 && preg_match("/bar/", $slots[1][$spin2])) 
    {
	$barMatch++;
	if (preg_match("/bar/", $slots[2][$spin3])) 
	{
		$barMatch++;
	}
    }

    if ($matches != 3 && $barMatch == 3) 
    {
	$slotType = 'anybar';
	$matches = 3;
    }
				
    $winnedCredits = (int) $slotsTypes[$slotType][$matches-1];

    return $winnedCredits;
}


$credits = 1000;

for ($i = 0; $i < 100000; $i++)
{
    $credits -= 4;
    $winned = spin_slot();
    $credits += $winned;
    
    // echo "Stake: 4, Credits: $credits, Won: $winned\n";
    echo "4;$credits;$winned\n";
}


?>
