<?php

/***************************************************************************
 *                                function.php
 *                            -------------------
 *                  : Tuesday, 21 October 2008
 *                    : http://www.bf-team.com/
 *   -               : support@bf-team.com
 *
 *               : (C) 2008 BrainForce Team
 *                          (C) 2008 The Freeman Group
 *
 ***************************************************************************/

function get_http_site($http, $metod = 'GET', $POST = '', $Cookie = '', $Header_only = ''){
    global $config;

    preg_match_all('~^http://(.*?)/(.*?)$~', $http, $http_out);

	switch($metod){
		case "POST":
			$send = 'POST /' . $http_out[2][0] . ' HTTP/1.0' . "\r\n";
		break;

		default:
			$send = 'GET /' . $http_out[2][0] . ' HTTP/1.0' . "\r\n";
		break;
	}

	$send .= 'Host: ' . $http_out[1][0] . "\r\n";

    if(!empty($_SERVER['HTTP_USER_AGENT'])){
    	$send .= 'User-Agent: ' . $_SERVER['HTTP_USER_AGENT'] . "\r\n";
    }else{
    	$send .= 'User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.2; WOW64)' . "\r\n";
    }

    $send .= 'Accept: text/html, application/xhtml+xml, application/xml; q=0.9,*/*; q=0.8' . "\r\n";
    $send .= 'Accept-Language: ru, en-us; q=0.7, en; q=0.3' . "\r\n";
    $send .= 'Accept-Encoding: *' . "\r\n";
    $send .= 'Accept-Charset: windows-1251, utf-8; q=0.7, *; q=0.7' . "\r\n";
    $send .= 'Referer: ' . $http . "\r\n";

    if(!empty($Cookie)){
		$send .= 'Cookie: ' . $Cookie . "\r\n";
    }

    switch($metod){
		case "POST":
			$send .= 'Content-Type: application/x-www-form-urlencoded' . "\r\n";
			$send .= 'Content-Length: ' . strlen($POST) . "\r\n";
			$send .= 'Connection: Close' . "\r\n\r\n";
			$send .= $POST;
		break;

		default:
			$send .= 'Content-Type: text/html' . "\r\n";
			$send .= 'Connection: Close' . "\r\n\r\n";
		break;
	}

    $ip = gethostbyname($http_out[1][0]);
    $open = fsockopen($ip, 80, $errno, $errstr, 60);

	fputs($open, $send);

    //if($config['save_header'] == 'True') file_put_contents($config['dir'] . 'time_1/' . time(), $send);

    switch($Header_only){
		case 'True':
			while(!feof($open)){
				if(preg_match('~^<html>~', $return)){
						break;
				}else{
					$return .= fgets($open, 4096);
				}
			}
		break;

		case 'Cookie':
			while(!feof($open)){
				if(preg_match('~^<html>~', $return)){
					break;
				}else{
					$return .= fgets($open, 4096);
				}
			}

			preg_match_all('~Set-Cookie: (.*?);~', $return, $return_array);

			foreach($return_array[1] as $value){
				$save_text .= $value . '; ';
			}

			file_put_contents($config['dir'] . $config['cookie'], $save_text);

			unset($return_array);
			unset($save_text);
		break;

		default:
			$return = '';
			while(!feof($open)){
				$return .= fgets($open, 4096);
			}
		break;
	}

	fclose($open);

    //if($config['save_header'] == 'True') file_put_contents($config['dir'] . 'time/' . time(), $return);

	return $return;
}


function encapsules($st){
    $st = preg_replace('[0-9!@#$%^&*()]','', $st);

    $a = array(''=>'A', ''=>'B',''=>'V',''=>'G',''=>'D',''=>'E',''=>'JO',''=>'ZH',''=>'Z',''=>'I',''=>'J',''=>'K',''=>'L',''=>'M',''=>'N',''=>'O',''=>'P',''=>'R',''=>'S',''=>'T',''=>'U',''=>'F',''=>'KH',''=>'TS',''=>'CH',''=>'SH',''=>'SCH',''=>'',''=>'Y',''=>'',''=>'E',''=>'JU',''=>'JA',' '=>'_');
    $b = array(''=>'a', ''=>'b',''=>'v',''=>'g',''=>'d',''=>'e',''=>'jo',''=>'zh',''=>'z',''=>'i',''=>'j',''=>'k',''=>'l',''=>'m',''=>'n',''=>'o',''=>'p',''=>'r',''=>'s',''=>'t',''=>'u',''=>'f',''=>'kh',''=>'ts',''=>'ch',''=>'sh',''=>'sch',''=>'',''=>'y',''=>'',''=>'e',''=>'ju',''=>'ja','|'=>'',' '=>'_','('=>'',')'=>'');

    $st = strtr($st, $a);
    $st = strtr($st, $b);

    return $st;
}


?>