<?php

define('IN_PHPBB', true);
define('BB_ROOT', './');
$phpEx = substr(strrchr(__FILE__, '.'), 1);
require(BB_ROOT ."common.$phpEx");

//
// Start session management
//
$user->session_start();
//
// End session management
//

if( !$userdata['session_logged_in'] ) { 
  header("Location: " . append_sid($phpbb_script_path . "login." . $phpEx . "?redirect=bonus." . $phpEx)); 
  exit; 
}
if (!$bb_cfg['bonus_enable']) bb_die($lang['BONUS_OFF']);
$user_id = $userdata['user_id'];
$i = 0;
$row = $db->fetch_row("SELECT user_bonus
                       FROM ".BT_USERS_TABLE."
                       WHERE user_id = $user_id
                       LIMIT 1
                      ");

$my_bonus = $row['user_bonus'] ? $row['user_bonus'] : 0;
if($my_bonus < 30){ $style = 'background-color : ff0000;';}
else if ($my_bonus > 30){ $style = 'background-color : #00ccff;';}
else if ($my_bonus > 100){ $style = 'background-color : #99ff99;';}

$bonus = $db->sql_query("SELECT *
                         FROM " . BONUS_TABLE . "
                         GROUP BY bonus_points
                        ");
while ($b_data = $db->sql_fetchrow($bonus))
{
  $b_name    = $b_data['bonus_name'];
  $b_points  = $b_data['bonus_points'];
  $b_id      = $b_data['bonus_id'];
  $b_add     = $b_data['bonus_add'];
  $i ++;
$template->assign_block_vars('bonusrow', array(
  'ROW_CLASS'         => !($i % 2) ? 'row2' : 'row1',
  'BONUS_NAME'        =>  $b_name,
  'BONUS_POINTS'      =>  $b_points,
  'BONUS_ID'          =>  $b_id,
  'BONUS_ADD'         =>  $b_add,
));
}  

// calculate bonus per hour
$points_extra = 1;

$releases_threshold_1 = 24;  $points_extra_1 = "0.5"; // 25  or more releases - extra 0.5 points
$releases_threshold_2 = 49;  $points_extra_2 = "0.5"; // 50  or more releases - extra 0.5 points
$releases_threshold_3 = 99;  $points_extra_3 = "1";   // 100 or more releases - extra 1   points

$row = $db->fetch_row("SELECT COUNT(*) AS cnt FROM " . BT_TRACKER_TABLE . " tc WHERE tc.seeder > 0 AND tc.user_id = $user_id");

if ($row['cnt'] > $releases_threshold_1) $points_extra += $points_extra_1;
if ($row['cnt'] > $releases_threshold_2) $points_extra += $points_extra_2;
if ($row['cnt'] > $releases_threshold_3) $points_extra += $points_extra_3;


$template->assign_vars(array(
  'L_MY_BONUS'          => $lang['MY_BONUS'],
  'L_BONUS_AVAILABLE'   => $lang['BONUS_AVAILABLE'],
  'L_BONUS_PER'         => $lang['BONUS_PER'],
  'L_BONUS_TYPE'        => $lang['BONUS_TYPE'],
  'L_BONUS_POINTS'      => $lang['BONUS_POINTS'],
  'L_BONUS_SELECT'      => $lang['BONUS_SELECT'],
  'L_BONUS_EXPLAIN'     => $lang['BONUS_EXPLAIN'],
  'L_BONUS_EXCHANGE'    => $lang['BONUS_EXCHANGE'],
  'STYLE'               => $style,
  'MY_BONUS'            => $my_bonus,
  'BONUS_PER_HOUR'      => $bb_cfg['points_add'] * $points_extra,
  ));
print_page('bonus.tpl');
?>