<?
//*********************************//
// Rewritten by RoadTrain          //
// Modified by dj_maxx 24.11.2009  //
// Sliky code removed: 25.03.2010  //

//variables
define('IN_PHPBB', true);

$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
require($phpbb_root_path . 'common.'.$phpEx);

// Init userdata
$user->session_start();

require(INC_DIR .'bbcode.'.$phpEx);
require(INC_DIR .'functions_post.'.$phpEx);
require(LANG_DIR .'lang_callseed.'.$phpEx);

function topic_info($topic_id) 
{
	global $db;
	
	$query = "  SELECT tor.poster_id, tor.forum_id, tor.attach_id, t.topic_title, f.forum_name
				FROM ". BT_TORRENTS_TABLE ." tor , ". TOPICS_TABLE ." t, ". FORUMS_TABLE ." f
				WHERE tor.topic_id = $topic_id
					AND t.topic_id = tor.topic_id
					AND f.forum_id = tor.forum_id
				LIMIT 1";
	$row = $db->fetch_row($query);

	$t = array(
		"topic_title"  => $row['topic_title'],
		"forum_title"  => $row['forum_name'],
		"attach_id"    => $row['attach_id'],
		"topic_poster" => $row['poster_id']
	);

	return $t;
}

function send_pm($topic_id, $t_info, $to_user_id) 
{
	global $db, $userdata, $lang, $msg_error, $cur_time;
	
	$query = "UPDATE ". BT_TORRENTS_TABLE ." SET call_seed_time=". $cur_time ." WHERE topic_id = $topic_id";
	$rez_T = $db->sql_query($query);
	if ($rez_T === false) $msg_error = "TIME";

	$subj = sprintf ($lang['Callseed_subj'], $t_info['topic_title']);
	$text = sprintf ($lang['Callseed_text'], $topic_id, $t_info['forum_title'], $t_info['topic_title'], $t_info['attach_id']);
	
	insert_pm($to_user_id, $text, $subj, BOT_UID, 1, 1);
}

$u_id = array();
$topic_id = request_var('t', 0);
$t_info = topic_info($topic_id);
$cur_time = TIMENOW;

$msg_error = "OK";

$query = "SELECT seeders, leechers FROM ". BT_TRACKER_SNAP_TABLE ." WHERE topic_id = $topic_id LIMIT 1";
$row = $db->fetch_row($query);

$seeders = isset($row['seeders']) ? $row['seeders'] : 0;
$leechers = isset($row['leechers']) ? $row['leechers'] : 0;

if ($seeders > 0)
{
	$msg_error = "SEEDERS";   // seeders present
}
elseif ($leechers == 0)
{
	$msg_error = "LEECHERS";  // no leechers
}


if ($msg_error === "OK")
{

	$query = "SELECT call_seed_time FROM ". BT_TORRENTS_TABLE ." WHERE topic_id = $topic_id LIMIT 1";
	$row = $db->fetch_row($query);
		
	if(!empty($row))
	{
		$pr_time = $row['call_seed_time'];
		$pause = 86400; //1 day
		$cp = $cur_time - $pr_time;
		$pcp = $pause - $cp;
		if($cp <= $pause)
		{
			$cur_pause_hour = floor($pcp/3600);
			$cur_pause_min = floor($pcp/60)/*-($cur_pause_hour*60)*/;
			$msg_error = "SPAM";
		}
	}

	$query = "SELECT user_id FROM ". BT_DLSTATUS_TABLE ." WHERE topic_id = " . $topic_id;
	/*$row = $db->fetch_rowset($query);*/
		
	foreach($db->fetch_rowset($query) as $row)
	{
		$u_id[] = $row['user_id'];
	}
	if (!in_array($t_info['topic_poster'], $u_id))
	{
		$u_id[] = $t_info['topic_poster'];	
	}
	array_unique($u_id);
	
	foreach($u_id as $i=>$user_id)
	{
		if ($msg_error !== "OK") break;

		send_pm($topic_id, $t_info, $user_id);
	}
}

$msg = '';
meta_refresh("viewtopic.$phpEx?t=$topic_id", 8);
$return_to = sprintf ($lang['Callseed_RETURN'], $topic_id);

switch($msg_error) {
	case "OK":
		$msg .= $lang['Callseed_MSG_OK'];
		break;
	case "SPAM":
		$msg .= sprintf ($lang['Callseed_MSG_SPAM'], $cur_pause_hour, $cur_pause_min);
		break;
	case "TIME":
		$msg .= $lang['Callseed_MSG_TIME'];
		break;
	case "SEEDERS":
		$msg .= sprintf($lang['Callseed_MSG_SEEDERS'], $seeders);
		break;
	case "LEECHERS":
		$msg .= $lang['Callseed_MSG_LEECHERS'];
		break;
}
$msg .= $return_to;
message_die(GENERAL_MESSAGE, $msg);

?>