/*
 * @package AJAX_Chat
 * @author Sebastian Tschan
 * @author Yuriy Smetana (yura@stryi.com.ua, http://joomla.org.ua)
 * @copyright (c) Sebastian Tschan
 * @license GNU Affero General Public License
 * @link https://blueimp.net/ajax/
 */

// Ajax Chat language Object:
var ajaxChatLang = {
	
	login: '%s   .',
	logout: '%s   .',
	logoutTimeout: '%s   ( ).',
	logoutIP: '%s   ( IP ).',
	logoutKicked: '%s   ().',
	channelEnter: '%s   .',
	channelLeave: '%s  .',
	privmsg: '()',
	privmsgto: '(  %s)',
	invite: '%s    %s.',
	inviteto: '  %s   %s .',
	uninvite: '%s      %s.',
	uninviteto: '³  %s   %s  .',
	queryOpen: '    %s.',
	queryClose: '   %s .',
	ignoreAdded: '%s     .',
	ignoreRemoved: '%s     .',
	ignoreList: ' :',
	ignoreListEmpty: '  .',
	who: '  :',
	whoChannel: '   %s  :',
	whoEmpty: '  .',
	list: ' :',
	bans: ' :',
	bansEmpty: '  .',
	unban: '  %s .',
	whois: ' %s - IP :',
	whereis: ' %s   %s.',
	roll: ' %s  %s,  %s.',
	nick: ' %s    %s.',
	toggleUserMenu: '  %s',
	userMenuLogout: '',
	userMenuWho: ' ',
	userMenuList: ' ',
	userMenuAction: '   ',
	userMenuRoll: ' ',
	userMenuNick: '  \'',
	userMenuEnterPrivateRoom: '   ',
	userMenuSendPrivateMessage: '  ',
	userMenuDescribe: '   ()',
	userMenuOpenPrivateChannel: '  ',
	userMenuClosePrivateChannel: '  ',
	userMenuInvite: '',
	userMenuUninvite: '³',
	userMenuIgnore: '/',
	userMenuIgnoreList: ' ',
	userMenuWhereis: ' ',
	userMenuKick: '/',
	userMenuBans: '  ',
	userMenuWhois: ' IP',
	unbanUser: '³   %s',
	joinChannel: '   %s',
	cite: '%s :',
	urlDialog: '-,   -:',
	deleteMessage: '  ',
	deleteMessageConfirm: '   ?',
	errorCookiesRequired: '    Cookies.',
	errorUserNameNotFound: ':  %s  .',
	errorMissingText: ':  .',
	errorMissingUserName: ':  \' .',
	errorInvalidUserName: 'Error: Invalid username.',
	errorUserNameInUse: 'Error: Username already in use.',
	errorMissingChannelName: ':   .',
	errorInvalidChannelName: ':   : %s',
	errorPrivateMessageNotAllowed: ':   .',
	errorInviteNotAllowed: ':      .',
	errorUninviteNotAllowed: ':        .',
	errorNoOpenQuery: ':    .',
	errorKickNotAllowed: ':     %s.',
	errorCommandNotAllowed: ':  : %s',
	errorUnknownCommand: ':  : %s',
	errorMaxMessageRate: ':       .',
	errorConnectionTimeout: ':   . -,  .',
	errorConnectionStatus: ':  \': %s',
	errorSoundIO: ':     (Flash IO Error).',
	errorSocketIO: ': \'    (Flash IO Error).',
	errorSocketSecurity: ': \'    (Flash Security Error).',
	errorDOMSyntax: ': Invalid DOM Syntax (DOM ID: %s).'
	
}