<?php
/*
 * @package AJAX_Chat
 * @author Sebastian Tschan
 * @author SkyKnight
 * @author Dmitry Plyonkin
 * @copyright (c) Sebastian Tschan
 * @license GNU Affero General Public License
 * @link https://blueimp.net/ajax/
 */

$lang = array();
$lang['title'] = 'AJAX Chat';
$lang['userName'] = '';
$lang['password'] = '';
$lang['login'] = 'Login';
$lang['logout'] = '';
$lang['channel'] = '';
$lang['style'] = '';
$lang['language'] = '';
$lang['inputLineBreak'] = ' SHIFT+ENTER,     ';
$lang['messageSubmit'] = '';
$lang['registeredUsers'] = '   ';
$lang['onlineUsers'] = ' ';
$lang['toggleAutoScroll'] = '/ -';
$lang['toggleAudio'] = '/ ';
$lang['toggleHelp'] = '/ ';
$lang['toggleSettings'] = '/ ';
$lang['toggleOnlineList'] = '/  ';
$lang['bbCodeLabelBold'] = 'b';
$lang['bbCodeLabelItalic'] = 'i';
$lang['bbCodeLabelUnderline'] = 'u';
$lang['bbCodeLabelQuote'] = '';
$lang['bbCodeLabelCode'] = '';
$lang['bbCodeLabelURL'] = 'URL';
$lang['bbCodeLabelImg'] = 'Image';
$lang['bbCodeLabelColor'] = ' ';
$lang['bbCodeTitleBold'] = ' : [b][/b]';
$lang['bbCodeTitleItalic'] = ': [i][/i]';
$lang['bbCodeTitleUnderline'] = ' : [u][/u]';
$lang['bbCodeTitleQuote'] = ': [quote][/quote]  [quote=][/quote]';
$lang['bbCodeTitleCode'] = ': [code][/code]';
$lang['bbCodeTitleURL'] = ' : [url]http://example.org[/url]  [url=http://example.org][/url]';
$lang['bbCodeTitleImg'] = 'Insert image: [img]http://example.org/image.jpg[/img]';
$lang['bbCodeTitleColor'] = ' : [color=red][/color]';
$lang['help'] = '';
$lang['helpItemDescJoin'] = '  :';
$lang['helpItemCodeJoin'] = '/join _';
$lang['helpItemDescJoinCreate'] = '  () :';
$lang['helpItemCodeJoinCreate'] = '/join';
$lang['helpItemDescInvite'] = ' - (   ):';
$lang['helpItemCodeInvite'] = '/invite _';
$lang['helpItemDescUninvite'] = ' :';
$lang['helpItemCodeUninvite'] = '/uninvite _';
$lang['helpItemDescLogout'] = '  :';
$lang['helpItemCodeLogout'] = '/quit';
$lang['helpItemDescPrivateMessage'] = ' :';
$lang['helpItemCodePrivateMessage'] = '/msg _ ';
$lang['helpItemDescQueryOpen'] = '  :';
$lang['helpItemCodeQueryOpen'] = '/query _';
$lang['helpItemDescQueryClose'] = '  :';
$lang['helpItemCodeQueryClose'] = '/query';
$lang['helpItemDescAction'] = ' :';
$lang['helpItemCodeAction'] = '/action ';
$lang['helpItemDescDescribe'] = '    :';
$lang['helpItemCodeDescribe'] = '/describe _ ';
$lang['helpItemDescIgnore'] = '/   :';
$lang['helpItemCodeIgnore'] = '/ignore _';
$lang['helpItemDescIgnoreList'] = 'List ignored users:';
$lang['helpItemCodeIgnoreList'] = '/ignore';
$lang['helpItemDescWhereis'] = 'Display user channel:';
$lang['helpItemCodeWhereis'] = '/whereis Username';
$lang['helpItemDescKick'] = '  (Kick) (   ):';
$lang['helpItemCodeKick'] = '/kick _ []';
$lang['helpItemDescUnban'] = '  (   ):';
$lang['helpItemCodeUnban'] = '/unban _';
$lang['helpItemDescBans'] = '   (  ):';
$lang['helpItemCodeBans'] = '/bans';
$lang['helpItemDescWhois'] = ' IP  (   ):';
$lang['helpItemCodeWhois'] = '/whois _';
$lang['helpItemDescWho'] = '  :';
$lang['helpItemCodeWho'] = '/who [_]';
$lang['helpItemDescList'] = '  :';
$lang['helpItemCodeList'] = '/list';
$lang['helpItemDescRoll'] = ' :';
$lang['helpItemCodeRoll'] = '/roll []d[ ]';
$lang['helpItemDescNick'] = 'Change username:';
$lang['helpItemCodeNick'] = '/nick Username';
$lang['settings'] = '';
$lang['settingsBBCode'] = ' BBCode:';
$lang['settingsBBCodeImages'] = 'Enable image BBCode:';
$lang['settingsBBCodeColors'] = 'Enable font color BBCode:';
$lang['settingsHyperLinks'] = ' :';
$lang['settingsLineBreaks'] = '  :';
$lang['settingsEmoticons'] = ' :';
$lang['settingsAutoFocus'] = '     :';
$lang['settingsMaxMessages'] = '  ,   :';
$lang['settingsWordWrap'] = '  :';
$lang['settingsMaxWordLength'] = '   ,      :';
$lang['settingsDateFormat'] = '   :';
$lang['settingsPersistFontColor'] = '  :';
$lang['settingsAudioVolume'] = ':';
$lang['settingsSoundReceive'] = '   :';
$lang['settingsSoundSend'] = '   :';
$lang['settingsSoundEnter'] = '       :';
$lang['settingsSoundLeave'] = '       :';
$lang['settingsSoundChatBot'] = '   :';
$lang['settingsSoundError'] = '    :';
$lang['settingsBlink'] = '""     :';
$lang['settingsBlinkInterval'] = ' "" ( ):';
$lang['settingsBlinkIntervalNumber'] = ' "":';
$lang['playSelectedSound'] = '  ';
$lang['requiresJavaScript'] = '       JavaScript.';
$lang['errorInvalidUser'] = '  .';
$lang['errorUserInUse'] = ' .';
$lang['errorBanned'] = '  IP .';
$lang['errorMaxUsersLoggedIn'] = '    .   .';
$lang['errorChatClosed'] = '    .';
$lang['logsTitle'] = 'AJAX Chat - ';
$lang['logsDate'] = '';
$lang['logsTime'] = '';
$lang['logsSearch'] = '';
$lang['logsPrivateChannels'] = ' ';
$lang['logsPrivateMessages'] = ' ';
?>