<?php

if (!defined('BB_ROOT')) die(basename(__FILE__));

// manage expired bans & warnings


$sql = "SELECT review_id, user_id, review_type 
	FROM " .REVIEWS_TABLE. " 
	WHERE review_type in ('warn','ban') 
	AND   review_value = 0 
	AND   review_expire_date < " . TIMENOW;

foreach ($db->fetch_rowset($sql) as $row)
{
	$review_id = $row['review_id'];
	$victim_id = $row['user_id'];
	$mode = $row['review_type'];
	
	$user_table_field = ($mode == 'warn') ? 'user_warnings' : 'user_bans';

	// no checks done here so we can detect error by negative values of fields in users table
	$db->query("UPDATE " . USERS_TABLE . " 
			SET $user_table_field = $user_table_field - 1 
			WHERE user_id = $victim_id"
	);


	// unban user with expired ban
	if ($mode == 'ban')
	{
		$db->query("DELETE FROM " . BANLIST_TABLE . " WHERE ban_userid = $victim_id");
	}

	// update review status to "closed"
	$db->query("UPDATE " . REVIEWS_TABLE . " SET review_value = 1 WHERE review_id = $review_id");

}

