<?php
/**
 * Created by PhpStorm.
 * User: Paukan
 * Date: 14.11.2016
 * Time: 13:55
 */

if (!defined('BB_ROOT')) die(basename(__FILE__));

// image hosting handling (VERY buggy)
function get_radikal_full_urls(array $shorts)
{
    require_once (BB_ROOT . 'includes/class.snoopy.php');

    $snoopy = new Snoopy;
    $snoopy->host = "radikal.ru";
    $snoopy->agent = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/51.0.2704.103 Safari/537.36";
    $snoopy->referer = "http://radikal.ru/";
    $snoopy->rawheaders["Pragma"] = "no-cache";
    $snoopy->_httpmethod = "GET";

    $result = array();
    foreach ($shorts as $short)
    {
        // Fucking BOOG! Use curl to avoid snoopy-breaking radikal redirects
        exec("/usr/bin/curl -L \"".escapeshellcmd($short)."\"", $results, $return);
        $results = is_array($results) ? implode("\r\n",$results) : '';
        // end of

        if (preg_match('#"Url":"(.*?)"#', $results, $regs)) {
            $result []= $regs[1];
        } else {
            $result []= "** BUG! Unparsable url! **";
        }
    }

    return $result;
}

function get_lostpic_full_urls(array $shorts)
{
    require_once (BB_ROOT . 'includes/class.snoopy.php');

    $snoopy = new Snoopy;
    $snoopy->host = "lostpic.net";
    $snoopy->agent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
    $snoopy->referer = "http://lostpic.net/";
    $snoopy->rawheaders["Pragma"] = "no-cache";
    $snoopy->_httpmethod = "GET";

    $result = array();
    foreach ($shorts as $short)
    {
        $snoopy->fetch($short);

        //if (preg_match('#<link rel="image_src" href="(.*?)">#', $snoopy->results, $regs)) {
        if (preg_match('#<div class="image-viewer-image">.*?<a href="(.*?)" target="_blank">#s', $snoopy->results, $regs)) {
            $result []= $regs[1];
        } else {
            $result []= "** BUG! Unparsable url! **";
        }
    }

    return $result;
}

function get_fastpic_full_urls(array $shorts)
{
    require_once (BB_ROOT . 'includes/class.snoopy.php');

    $snoopy = new Snoopy;
    $snoopy->host = "lostpic.net";
    $snoopy->agent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
    $snoopy->referer = "http://lostpic.net/";
    $snoopy->rawheaders["Pragma"] = "no-cache";
    $snoopy->_httpmethod = "GET";

    $result = array();
    foreach ($shorts as $short)
    {
        $snoopy->fetch($short);

        if (preg_match('#<img src="(.*?)" border="0" id="image"#', $snoopy->results, $regs)) {
            $result []= $regs[1];
        } else {
            $result []= "** BUG! Unparsable url! **";
        }
    }

    return $result;
}

function get_hostingkartinok_full_urls(array $shorts)
{
    require_once (BB_ROOT . 'includes/class.snoopy.php');

    $snoopy = new Snoopy;
    $snoopy->host = "hostingkartinok.com";
    $snoopy->agent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
    $snoopy->referer = "http://hostingkartinok.com/";
    $snoopy->rawheaders["Pragma"] = "no-cache";
    $snoopy->_httpmethod = "GET";

    $result = array();
    foreach ($shorts as $short)
    {
        $snoopy->fetch($short);

        if (preg_match('#<div class="image">.*?<a href="(.*?)" class="lightbox"#s', $snoopy->results, $regs)) {
            $result []= $regs[1];
        } else {
            $result []= "** BUG! Unparsable url! **";
        }
    }

    return $result;
}


function parse_imghosts($text)
{
    $ret_val = '';
    // lostpic
    if (preg_match_all('#http://lostpic.net/(image/[A-z0-9]{4}|\?photo=\d*)#is', $text, $result, PREG_PATTERN_ORDER))
    {
        $result = get_lostpic_full_urls($result[0]);
        $ret_val .= implode("\n",$result);
    }
    // radikal
    elseif(preg_match_all('#http://radikal.ru(/F/.*?.html|/(fp|big)/[a-z0-9]+)#is', $text, $result, PREG_PATTERN_ORDER))
    {
        $result = get_radikal_full_urls($result[0]);
        $ret_val .= implode("\n",$result);
    }
    // fastpic
    elseif(preg_match_all('#http://fastpic.ru/view/.*?.html#is', $text, $result, PREG_PATTERN_ORDER))
    {
        $result = get_fastpic_full_urls($result[0]);
        $ret_val .= implode("\n",$result);
        $ret_val .= implode("\n",$result);
    }

    // hostingkartinok
    elseif(preg_match_all('#http://hostingkartinok.com/show-image.php\?id=[A-z0-9]{32}#is', $text, $result, PREG_PATTERN_ORDER))
    {
        $result = get_hostingkartinok_full_urls($result[0]);
        $ret_val .= implode("\n",$result);
    }

    // default (just separate urls from trash)
    elseif(preg_match_all('#\[url=(https?://.*?)\]\[img\]https?://.*?\[/img\]\[/url\]#is', $text, $result, PREG_PATTERN_ORDER))
    {
        foreach ($result[1] as $url)
        {
            $ret_val .= $url."\n";
        }

    }
    else
    {
        $ret_val .= $text;
    }

    return $ret_val;

}