<?php

/* Settings */

define('IN_PHPBB', true);
include('./common.php');
include(BB_ROOT.'includes/functions_gallery.php');

$BACKGROUND   = "#FFFFFF";
$BORDER       = "#CCCCCC";
$DARK         = "#E8E8FF";
$LIGHT        = "#FFFFFF";
$max_size     = 4194304;

// :  ,    
$max_width    = 2560;
$max_height   = 2560;
// :     !
$thumb_width  = 200;
$thumb_height = 180;
// :  ,    
$cover_w = 500;
$cover_h = 600;


$pics_url = "http://img.underver.se/t/";
$photo_view_url = "http://underver.se/pic/";


//
// Start session management
//
$user->session_start(array('req_login' => true));
//
// End session management
//

message_die(GENERAL_MESSAGE, " !");

if (@$_POST['check_pic_url'] == 1)   // ajax post
{
	$url = $_POST['pic_url'];
	if (!$url)
	{
		echo "<span style=\"color:red\"><b>err:  !</b></span>";
		exit;
	}
	
	$parsed_url = parse_url($url);
	$path_parts = pathinfo($parsed_url['path']);
	$pic_ext = $path_parts['extension'];
	
	// try to load image from URL
    $imageFile = @file_get_contents($url);
	
	
    $tmpfname = tempnam("/tmp", "IMG");
	file_put_contents($tmpfname, $imageFile);
	
	if ($pic_ext == "jpg")
	{
		$image = imagecreatefromjpeg($tmpfname);
	}
	elseif ($pic_ext == "gif")
	{
		$image = imagecreatefromgif($tmpfname);
	}
	elseif ($pic_ext == "png")
	{
		$image = imagecreatefrompng($tmpfname);
	}
	else
	{
		$image = false;
	}

    unlink($tmpfname);

	
	if (!$image)
	{
		echo "<span style=\"color:red\"><b>err:  !</b></span>";
	}
	else
	{
		$true_color = imageistruecolor($image);
		echo "<span style=\"color:green\">[<b>".strtoupper($pic_ext)."</b>, <b>".imagesx($image)."x".imagesy($image)."</b>]</span>";
		
		imagedestroy($image);
	}
	exit;
}


if (@$_POST['parse_trash'] == 1)   // ajax post
{
	$text =	parse_imghosts(request_var("piece_of_shit", ""));
	echo $text;
	exit;
}

//
// Generate page
//
$gen_simple_header = false;
$page_title = '   ';
include($phpbb_root_path.'includes/page_header.'.$phpEx);

// make_jumpbox('viewforum.'.$phpEx);


// begin SR Photo Store
   /*
    ********************************************************************
    *         :  SR Photo Store                                *
    ********************************************************************
    *           :  1.0                                           *
    *        :                                *
    *       :  PHP4                                     *
    *        :                                           *
    *             :                                         *
    *            :  Sad Raven (http://www.sad-raven.ru)           *
    ********************************************************************
    *           :  5  2002                                   *
    ********************************************************************
  */
// error_reporting(E_ALL);
// @import_request_variables("GPC");  // @ to avoid annoying notice
extract($_SERVER);

$photo = request_var('photo', 0);
$upload_method = request_var('upload_method', 0);
$upload_photo_url = request_var('upload_photo_url', '');
$scale_height = request_var('scale_height',0);
$new_comment = request_var('new_comment','');

?>
<style type="text/css">
.p {color: #222222; font-size: 11px; font-family: Verdana, Tahoma}
.p1 {color: #6060B0; font-size: 11px; font-family: Verdana, Tahoma}
.p2 {color: #222222; font-size: 10px; font-family: Verdana, Tahoma}
.error {color: #FFFFFF; font-size: 11px; font-weight:bold; font-family: Verdana, Tahoma}
</style>

<script language="JavaScript" type="text/javascript" src="misc/js/jquery.pack.js?v=6"></script>
<script language="JavaScript" type="text/javascript" src="misc/js/jquery.MultiFile.pack.js?v=7"></script>
<script language="JavaScript" type="text/javascript" src="misc/js/jquery.blockUI.js?v=7"></script>

<script language="javascript" type="text/javascript">
<!--
function inserttext(text) {
	text = ' ' + text + ' ';
	if (opener.document.forms['post'].message.createTextRange && opener.document.forms['post'].message.caretPos) {
		var caretPos = opener.document.forms['post'].message.caretPos;
		caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text + ' ' : text;
		opener.document.forms['post'].message.focus();
	} else {
	opener.document.forms['post'].message.value  += text;
	opener.document.forms['post'].message.focus();
	}
}

function highlight(field)
{
	field.focus();
	field.select();
}

//-->
</script>


<a name="anchor"></a>
<table width="100%" border="0" cellspacing="1" class="forums">
<tr><td>

<div align="center">
<table width="80%" border="0" cellspacing="0" cellpadding="3">
     <tr>
        <td valign="top">
           <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>"><tr><td align="center" class="p1" bgcolor="<?php echo $DARK; ?>"><b>          .
     .</b></td></tr></table>
        </td>
     </tr>
<?php




// $data_array = file("data/photo.dat");


$data_array = $db->fetch_row("SELECT count(*) AS cnt FROM bb_photos");

if ($data_array['cnt'] == 0 && $QUERY_STRING != "add" && (!preg_match("/^view_id/", $QUERY_STRING))):
?>
     <tr>
        <td valign="top">
           <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>"><tr><td align="center" class="p" bgcolor="<?php echo $LIGHT; ?>"><br><br>   ... <a href="photo.php?add"> ?</a><br><br><br></td></tr></table>
        </td>
     </tr>
<?php
else:
if ($QUERY_STRING == "" || preg_match("/^photo/",$QUERY_STRING)):
?>
     <tr>
        <td>
           <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>"><tr><td width="60%" align="center" class="p" bgcolor="<?php echo $LIGHT; ?>">
               :
                <?php

                $cnt = $data_array['cnt']-1;

                if(!isset($photo)) $photo=1;

		$pagination = '';
		$picture = ' ';
                for ($i = 1; $i < $cnt; $i++)
                {
                        if ($photo < $i && $photo >= ($i-5)):
                                $pagination .= "<a href=\"photo.php?photo=$i\" title=\"\">$i</a> ";
                                if ($photo == ($i-5)): $pagination .= "<a href=\"photo.php?photo=$cnt\" title=\"   \">>></a> "; endif;
                        elseif ($photo == $i):
                                $pagination .= "<b>$i</b> ";
                        elseif ($photo > $i && $photo <= ($i+5)):
                                if ($photo == ($i+5)): $pagination .= "<a href=\"photo.php?photo=0\" title=\"   \"><<</a> "; endif;
                                $pagination .= "<a href=\"photo.php?photo=$i\" title=\"\">$i</a> ";
                        endif;

       	                if ($photo == $i) {
                          $item = $db->fetch_row("SELECT u.username, p.* FROM bb_photos p 
                                                  LEFT JOIN bb_users u ON u.user_id = p.poster_id
                                                  WHERE p.photo_id = ".$db->escape($photo));

				    $comment = "<b>".$item['username']."</b> (".create_date($bb_cfg['last_post_date_format'], $item['photo_date'], $bb_cfg['board_timezone']).") - ".$item['photo_desc'];
				    $picture = "<img src=\"".$pics_url.$item['poster_id'].'/'.$item['photo_path']."\">";
				    $bbcode_url1 = "[img]".$pics_url.$item['poster_id'].'/'.$item['photo_path']."[/img]";
				    $bbcode_url2 = "[img=left]".$pics_url.$item['poster_id'].'/'.$item['photo_path']."[/img]";
				    $bbcode_url3 = "[img=right]".$pics_url.$item['poster_id'].'/'.$item['photo_path']."[/img]";
				    $bbcode_url4 = "[url=".$pics_url.$item['poster_id'].'/'.$item['photo_path']."][/url]";
		    		$bbcode_url5 = "[url=".$photo_view_url.$item['photo_id']."][img]".$pics_url.$item['poster_id'].'/'.$item['photo_path']."[/img][/url]";
		    		$bbcode_url6 = "[fancybox=".$pics_url.$item['poster_id'].'/'.$item['photo_path']."]".$pics_url.$item['poster_id'].'/'.$item['photo_path']."[/fancybox]";


			    	    $forum_tag =
"<br><center>
<table bgcolor=\"#ffffff\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\">
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b> </b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url1\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b>  ( )</b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url2\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b>  ( )</b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url3\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b>   </b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url4\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b> (  )</b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url6\" readonly></td></tr>
</table><br><br></center>";


				}
                          }
                  

       		echo $pagination;


                ?>
           </td>
           <td width="20%" align="center" class="p" bgcolor="<?php echo $LIGHT; ?>">: <?php echo $cnt+1; ?>
           </td>
           <td width="20%" align="center" class="p" bgcolor="<?php echo $LIGHT; ?>"><a href="photo.php?add"></a>
           </td>
           </tr></table>
        </td>
     </tr>
     <tr>
        <td valign="top">
           <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>">
               <tr>
                  <td align="center" class="p" bgcolor="<?php echo $LIGHT; ?>">
<?php
		echo $picture;
?>
                  </td>
                </tr>
             </table>
           </td>
        </tr>
        <tr>
           <td>
              <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>">
                 <tr>
                    <td align="center" class="p" bgcolor="<?php echo $LIGHT; ?>">
                    <?php
                    if (isset($comment))   echo "$comment";
             
                    if (isset($forum_tag)) echo $forum_tag;
                    ?>
                    </td>
                 </tr>
              </table>
           </td>
        </tr>
        <tr>
           <td>
              <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>">
                 <tr>
                    <td align="center" class="p" bgcolor="<?php echo $LIGHT; ?>">
                    <?php
                    if ($photo == 0):
                              echo "<font color=\"$BORDER\"><< </font>";
                    else:
                              $prev = $photo-1;
                              echo "<a href=\"photo.php?photo=$prev\"><< </a> ";
                    endif;
                    echo " | ";
                    if ($photo < $cnt):
                              $next = $photo+1;
                              echo "<a href=\"photo.php?photo=$next\"> >></a> ";
                    elseif ($photo == $cnt):
                              echo "<font color=\"$BORDER\"> >></font>";
                    endif;
                    ?>
                    </td>
                 </tr>
              </table>
           </td>
        </tr>
<?php
endif;
endif;

if (preg_match("/^view_id/",$QUERY_STRING) && is_numeric($view_id))
{

	$row = $db->fetch_row("SELECT p.* FROM bb_photos p WHERE p.photo_id = $view_id");
	
	$img_src =  $pics_url.$row['photo_path'];



?>
	<tr>
        <td valign="top">

           <table width="98%" bgcolor="#cccccc" border="0" cellpadding="8" cellspacing="1">
           <tr>
           <td class="p" align="center" bgcolor="#ffffff">
           <img src="<?php echo($img_src); ?>">
	   </td>
           </tr>
           </table>
        </td>
        </tr>
<?php
}

if ($QUERY_STRING == "add"):
?>
     <tr>
        <td>
           <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>"><tr><td width="70%" align="center" class="p" bgcolor="<?php echo $LIGHT; ?>">

           </td>
           <td width="30%" align="center" class="p" bgcolor="<?php echo $LIGHT; ?>"><a href="photo.php">  </a>
           </td>
           </tr></table>
        </td>
     </tr>
     
          <tr>
        <td>
          <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>">
             <tr>
                <td bgcolor="<?php echo $LIGHT; ?>">
                  <form enctype="multipart/form-data" action="photo.php?add" method="POST">
                  <table width="770" border="0" cellspacing="0" cellpadding="3" bgcolor="<?php echo $LIGHT; ?>">
                     <tr>
                      <td width="220" align="right" class="p" id="label_photo">:</td>
                      <td class="tLeft" width="530" style="height:28px;">
						<div id="from_files"><input type="file" class="multi"  name="upload_photo[]" size="63" /></div>
						<div id="from_url" style="display:none;">
							<textarea class="p" id="upload_photo_url" name="upload_photo_url" rows="10" cols="73"></textarea>
						</div>
					  </td>
                    </tr>

                    <tr>
                      <td width="220" align="right" class="p">:</td>
                      <td class="tLeft" width="530">
						<input type="radio" name="upload_method" value="1" checked="checked" /> 
						<input type="radio" name="upload_method" value="2"/> 
						<div style="float: right;"><input style="display: none;" type="button" id="parse_trash" name="parse_trash" value="  "/> <!--&nbsp;<span id="url_check" style="white-space:nowrap;"></span>--></div>

						<script type="text/javascript">
							$("input[name='upload_method']").change(function(){
								if ($("input[name='upload_method']:checked").val() == '1') {
										$("#from_url").hide('fast');
										$("#from_files").show('fast');
										$("#parse_trash").hide('fast');
										$("#label_photo").text(":");
								}
								else if ($("input[name='upload_method']:checked").val() == '2') {
										$("#from_files").hide('fast');
										$("#from_url").show('fast');
										$("#parse_trash").show('fast');
										$("#label_photo").text(" ( 1  ):");
}
									
							});

							$("#parse_trash").click(function(){
								var piece_of_shit = $("#upload_photo_url").val();
								$(this).attr("disabled",true);
								$("#ajax-loading").show();
								$.ajax({
									type: "POST",
									url: "photo.php",
									data: {parse_trash: 1, piece_of_shit: piece_of_shit },

									success: function(data) {
										if (data) {
											//alert(data);
											$("#upload_photo_url").val(data);
										} else {

										}
									},
									error: function(jqXHR) {
										alert("Boo-boo!!!");
									},
									complete: function(jqXHR) {
										$("#ajax-loading").hide();
										$("#parse_trash").attr("disabled",false);
									}
								});
							});

							$("#check_url").click(function(){ // unused now
								$(this).hide();
								$("#url_check").load("photo.php", {check_pic_url: 1, pic_url: $("#upload_photo_url").val() });
							});
							
							
						</script>

						</td>
                    </tr>
                    <tr>
                      <td width="220" align="right" class="p">:</td>
                      <td class="tLeft" style="height:28px;">
						<select style="p" name="scale_height">
						<option value="2" selected>/ (   )</option>
						<option value="1">/ (  <?php echo "{$cover_w}{$cover_h}"; ?>)</option>
						</select>
					</td>
                    </tr>

                    <tr>
                       <td width="220" align="right" valign="top" class="p">:</td>
                       <td class="tLeft"><textarea class="p" name="new_comment" rows="5" cols="73"></textarea></td>
                    </tr>
                    <tr>
                       <td width="220" align="right" valign="top" class="p">&nbsp;</td>
						<td align="left" class="p"><input type="submit" value="" style="width:100px"></td>
                    </tr>
                  </table>
                  </form>
                </td>
             </tr>
          </table>
        </td>
     </tr>
     
<?php

	// handle uploading from url
	$uploaded_from_url = false;
	if (@isset($upload_photo_url) && $upload_photo_url !== '')
	{
	    $urls = explode("\n", $upload_photo_url);
	    $urls = array_filter($urls, 'trim');
	    
	    unset($_FILES);
	     
	    $i = 0;
	    foreach ($urls as $url)
	    {
	    	$parsed_url = parse_url($url);
		    $path_parts = pathinfo($parsed_url['path']);
		    $pic_ext = $path_parts['extension'];

	
		    // try to load image from URL
		    $imageFile = @file_get_contents($url);
		    $tmpfname = tempnam("/tmp", "IMGUL");
		    file_put_contents($tmpfname, $imageFile);
		
		    $wh = @getimagesize($tmpfname);
		
		    $_FILES['upload_photo']['tmp_name'][$i] = $tmpfname;
		    $_FILES['upload_photo']['name'][$i] = "uploaded.".$pic_ext;
		    $_FILES['upload_photo']['size'][$i] = filesize($tmpfname);
		    $_FILES['upload_photo']['type'][$i] = $wh['mime'];
		    $i++;
		
	    }
	    
	    $uploaded_from_url = true;
	}


	$cnt = @count($_FILES['upload_photo']['tmp_name']);

	//print_r($_FILES);
	//if ($cnt > 0) die("DEBUG mode, sorry and wait a while... (dj_maxx was here^)");

	$bbcode_url6 = "[spoiler=\"\"]\n";
	$bbcode_url7 = "";
	$bbcode_url8 = "";

	for ($i=0; $i < $cnt; ++$i) {

	        $ok = 0;
        	$one = 0;
	        $two = 0;
        	$three = 0;
	        $five = 0;
		
	        if (isset($_FILES['upload_photo']['tmp_name'][$i]) && ($uploaded_from_url || is_uploaded_file($_FILES['upload_photo']['tmp_name'][$i]))) {
        	        //print_r($upload_photo);
                	//echo "\nmax_size=".$max_size."\n";
			//echo "$path/{$_FILES['upload_photo']['name']}\n";
			//echo $_SERVER['ORIG_PATH_TRANSLATED'];

	            if ($_FILES['upload_photo']['type'][$i] == "image/jpeg"  ||
			    $_FILES['upload_photo']['type'][$i] == "image/jpg"   ||
			    $_FILES['upload_photo']['type'][$i] == "image/pjpeg" ||
			    $_FILES['upload_photo']['type'][$i] == "image/gif"   ||
			    $_FILES['upload_photo']['type'][$i] == "image/png"   ||
			    $_FILES['upload_photo']['type'][$i] == "image/x-png"):

			    
			                $one = 1;
			    
			                if ($_FILES['upload_photo']['size'][$i] > $max_size ):
			                $error[] = "[".$_FILES['upload_photo']['name'][$i]."]      .";
			                else:
			                $two = 1;
			                endif;
			    
			                $wh = getimagesize($_FILES['upload_photo']['tmp_name'][$i]);
			     
			                if ($wh[0] > $max_width ):
			                $error[] = "[".$_FILES['upload_photo']['name'][$i]."]      .";
			                else:
			                $three = 1;
			                endif;
			    
			                if ($wh[1] > $max_height ):
			                $error[] = "[".$_FILES['upload_photo']['name'][$i]."]      .";
			                else:
			                $four = 1;
			                endif;
			    
			                //if ($new_comment == ""):
			                //        $error[] = "[".$_FILES['upload_photo']['name'][$i]."]     .";
			                //else:
			                $five = 1;
			                //endif;
			                
			                if ($one == 1 && $two == 1 && $three == 1 && $four == 1 && $five == 1):
			                 
	                        //  5
			                $md5sum = md5(file_get_contents($_FILES['upload_photo']['tmp_name'][$i]));
			                if ($scale_height == 1) //    
			                {
			                    if ($wh[0] > $cover_w || $wh[1] > $cover_h) //     
			                    {
			                        $md5sum = md5($md5sum.'1'.$cover_w.$cover_h);
			                    }
			                    else
			                    {
			                        $md5sum = md5($md5sum.'2');
			                    }
			                }
			                else
			                {
			                    $md5sum = md5($md5sum.'2');
			                }
	                        
	                        if ($row = $db->fetch_row("SELECT * FROM bb_photos WHERE photo_hash = '$md5sum'"))
	                        {
	                            $picture_id = $row['photo_id'];
	                            $base_fname = $row['photo_path'];
					            $rel_fname = '/'.$base_fname;
	                            $rel_fname_1 = $row['poster_id'].$rel_fname;
	                            $rel_fname_2 = $row['poster_id'].'/thumbs'.$rel_fname;
	                            
	                            //   ,   - 
	                            $userdir = $bb_cfg['pictures_upload_path'] .'/' . $row['poster_id'];
	                            $thumbs_userdir = $userdir .'/thumbs';
	                            $fname = $thumbs_userdir . $rel_fname;
	                             
	                        	if (!file_exists($thumbs_userdir))
	                            {
	                                mkdir($thumbs_userdir, 0755);
	                            }
	                            if (!file_exists($fname))
	                            {
	                                $thumb_size = move_image_with_resize($_FILES['upload_photo']['type'][$i], $_FILES['upload_photo']['tmp_name'][$i], $fname, $thumb_width, $thumb_height);
	                            }
	                            else
	                            {
	                                $thumb_size = getimagesize($fname);
	                            }
	                            //
	                            
	                            unlink($_FILES['upload_photo']['tmp_name'][$i]);
	                            
	                            $ok = 1;
	                        }
	                        else
	                        {
                			     //
				              	$userdir = $bb_cfg['pictures_upload_path'] .'/'.$userdata['user_id'];
					            if (!file_exists($userdir))
					            {
						                mkdir($userdir, 0755);
					            }
					
						 
						        if ($_FILES['upload_photo']['type'][$i] == "image/gif")
					            {
						       	    $ext = "gif";
						        }
						        else if ($_FILES['upload_photo']['type'][$i] == "image/jpg" || $_FILES['upload_photo']['type'][$i] == "image/jpeg" || $_FILES['upload_photo']['type'][$i] == "image/pjpeg")
						        {
							            $ext = "jpg";
						        }
						        else if ($_FILES['upload_photo']['type'][$i] == "image/png" || $_FILES['upload_photo']['type'][$i] == "image/x-png")
						        {
						        	    $ext = "png";
						        }
						        else
						        {
						           $ext = substr(strrchr($_FILES['upload_photo']['name'][$i], '.'), 1);
						        }
					
				
					            $base_fname = strftime('%y%m%d%H%M%S').$userdata['user_id'].'_'.$scale_height.'_'.$i.'.'.$ext;
					            $rel_fname = '/'.$base_fname;
					            $fname = $userdir . $rel_fname;

					            // add user folder for gluing into file and url
					            $rel_fname_1 = $userdata['user_id'].$rel_fname;


					            if ($scale_height == 1) // 
					            {
    						            $max_w = $cover_w;
	    					            $max_h = $cover_h;
            				    }
			    		        if ($scale_height == 2) // |
				    	        {
					    	            $max_w = $max_width;
						                $max_h = $max_height;
					            }
					
					            move_image_with_resize($_FILES['upload_photo']['type'][$i], $_FILES['upload_photo']['tmp_name'][$i], $fname, $max_w, $max_h);


            				    $thumbs_userdir = $userdir .'/thumbs';
			            		if (!file_exists($thumbs_userdir))
					            {
						                mkdir($thumbs_userdir, 0755);
					            }

					            $fname = $thumbs_userdir . $rel_fname;
					            $rel_fname_2 = $userdata['user_id'].'/thumbs'.$rel_fname;

					            $thumb_size = move_image_with_resize($_FILES['upload_photo']['type'][$i], $_FILES['upload_photo']['tmp_name'][$i], $fname, $thumb_width, $thumb_height);
                                
					
					            unlink($_FILES['upload_photo']['tmp_name'][$i]);

	                            $new_comment = str_replace("<","&lt;",$new_comment);
        	                    $new_comment = str_replace(">","&gt;",$new_comment);
                	            $new_comment = str_replace('\\\"',"&quot;",$new_comment);
                        	    $new_comment = str_replace("\\\'","&quot;",$new_comment);
                                $new_comment = str_replace(":","&#58;",$new_comment);
	                            $new_comment = str_replace("\r","",$new_comment);
        	                    $new_comment = str_replace("\n","<br>",$new_comment);
                	            $new_comment = str_replace("%","&#37;",$new_comment);
                        	    $new_comment = str_replace("^ +","",$new_comment);
                                $new_comment = str_replace(" +$","",$new_comment);
	                            $new_comment = str_replace(" +"," ",$new_comment);
					
    					        //
					            $sql = "INSERT INTO bb_photos (poster_id, photo_date, photo_path, photo_hash, photo_desc)
						                VALUES (" . $userdata['user_id'] . ", ".time().", '$base_fname', '$md5sum', '$new_comment')";
					            if (!$db->sql_query($sql))
					            {
						                message_die(GENERAL_ERROR, 'Could not insert photo information', '', __LINE__, __FILE__, $sql);
					            }
					            $picture_id = $db->sql_nextid();
                                $ok = 1;
	                        }
	                        
	                        endif;
	                         
                	    else:
                    	        $error[] = "[".$_FILES['upload_photo']['name'][$i]."] ,    ,   . ".$_FILES['upload_photo']['type'][$i];
	                    endif;
        	

			if ($ok == 1) {
//		    	$bbcode_url = "[img]".$pics_url.$rel_fname."[/img]";
//		    	$forum_tag = "<a href=\"javascript:inserttext('$bbcode_url')\">$bbcode_url</a>";
			    $preview_url = $pics_url.$rel_fname_2;
		    	$bbcode_url1 = "[img]".$pics_url.$rel_fname_1."[/img]";
		    	$bbcode_url2 = "[img=left]".$pics_url.$rel_fname_1."[/img]";
 		    	$bbcode_url3 = "[img=right]".$pics_url.$rel_fname_1."[/img]";
		    	$bbcode_url4 = "[url=".$pics_url.$rel_fname_1."][/url]";
		    	$bbcode_url5 = "[url=".$photo_view_url.$picture_id."][img]".$preview_url."[/img][/url]";
		    	$bbcode_url9 = "[fancybox=".$pics_url.$rel_fname_1."]".$preview_url."[/fancybox]";

		    	//   -   
			$bbcode_url6 .= "[img]".$pics_url.$rel_fname_1."[/img]\n\n";
			//   -     
			$bbcode_url7 .= "[url=".$photo_view_url.$picture_id."][img]".$preview_url."[/img][/url] ";
			//   -        fancybox
			$bbcode_url8 .= "[fancybox=".$pics_url.$rel_fname_1."]".$preview_url."[/fancybox] ";

//			$forum_tag[] = "<br><br><center><table bgcolor=\"#cccccc\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\"><tr><td class=\"p\" align=\"center\" bgcolor=\"#ffffff\">    ( ".$_FILES['upload_photo']['name'][$i].") </td></tr>"
//	 		."<tr><td class=\"p\" bgcolor=\"#ffffff\"><b><a href=\"javascript:inserttext('$bbcode_url1')\">$bbcode_url1</a></b></td></tr>"
//			."<tr><td class=\"p\" bgcolor=\"#ffffff\"><b><a href=\"javascript:inserttext('$bbcode_url2')\">$bbcode_url2</a></b></td></tr>"
//		    	."<tr><td class=\"p\" bgcolor=\"#ffffff\"><b><a href=\"javascript:inserttext('$bbcode_url3')\">$bbcode_url3</a></b></td></tr>"
//		    	."<tr><td class=\"p\" bgcolor=\"#ffffff\"><b><a href=\"javascript:inserttext('$bbcode_url4')\">$bbcode_url4</a></b></td></tr></table><br> </center>";

			    $forum_tag[] =
"<br><center>
<table bgcolor=\"#ffffff\" border=\"0\" cellspacing=\"1\" cellpadding=\"4\">
<tr><td class=\"p\" bgcolor=\"#ffffff\">

<table width=\"100%\" border=\"0\" cellpadding=\"4\">

<tr>
<td rowspan=\"4\" align=\"left\" valign=\"top\" style=\"padding: 10px 0px 10px 0px;  width:".($thumb_width+20)."px\">
<img src=\"$preview_url\" width=\"".$thumb_size[0]."\" height=\"".$thumb_size[1]."\" alt=\"thumbnail\">
</td>
</tr>

<tr>
<td class=\"p\" valign=\"top\">
 : <b>". $_FILES['upload_photo']['name'][$i] ."</b><br>
: <b>". $_FILES['upload_photo']['size'][$i] ."</b> ()
</td>
</tr>

<tr>
<td class=\"p\">&nbsp;</td>
</tr>

<tr>
<td class=\"p\">&nbsp;</td>
</tr>

</table>

</td>
</tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b> </b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url1\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b>  ( )</b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url2\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b>  ( )</b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url3\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b>   </b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url4\" readonly></td></tr>
<tr><td class=\"p\" bgcolor=\"#ffffff\" align=\"center\">
<b> (  )</b><br>
<input type=\"text\" onclick=\"highlight(this);\" size=\"85\" value=\"$bbcode_url9\" readonly></td></tr>
</table><br><br></center>";

			}
			else
			{
			    $forum_tag[] = "<br><center>    ".$_FILES['upload_photo']['name'][$i]." !  !<br>";
			}
		}
	}

	$bbcode_url6 .= '[/spoiler]';
	$bbcode_url7 .= "\n[color=gray][i]      [/i][/color]";
	$bbcode_url8 .= "\n[color=gray][i]      [/i][/color]";

?>

     <tr>
        <td>
<?php
	if (isset($forum_tag))
	{
?>
          <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>">
            <tr>
              <td align="center" class="p" bgcolor="<?php echo $LIGHT; ?>">
<?php
		foreach ($forum_tag as $item)
		{
			echo $item;
		}
		//if (count($forum_tag) > 1)
		//{
?>              <center><br>
		<table bgcolor="#ffffff" border="0" cellspacing="1" cellpadding="4">
		<tr>
		<td class="p" bgcolor="#ffffff" align="center">
	          <b>   ()  </b><br>
	          <textarea readonly="readonly" class="p" onclick="highlight(this);" rows="7" cols="83"><?php echo($bbcode_url6); ?></textarea>
		</td>
		</tr>
		</table>
		<br>
		<table bgcolor="#ffffff" border="0" cellspacing="1" cellpadding="4">
		<tr>
		<td class="p" bgcolor="#ffffff" align="center">
	          <b>  ( ,  ) - <span style="color:red;"></span></b><br>
	          <textarea readonly="readonly" class="p" onclick="highlight(this);" rows="7" cols="83"><?php echo($bbcode_url8); ?></textarea>
		</td>
		</tr>
		</table>
		</center>

              </td>
            </tr>
          </table>
<?php
		//}
	}
?>
	
        </td>
     </tr>

<?php
endif;

if (isset($error)):
        echo "<tr><td><table width=\"98%\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" bgcolor=\"$BORDER\">";
        echo "<tr><td align=\"center\" class=\"error\" bgcolor=\"#FF0000\"><b>!</b></td></tr>";
        echo "<tr><td align=\"left\" class=\"p\" bgcolor=\"$LIGHT\">";
        foreach ($error as $value)
                {
                echo "<li>$value<br>";
                }
        echo "</td></tr>";
        echo "</table></td></tr>";
endif;
?>
     <tr>
        <td>
          <table width="98%" border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $BORDER; ?>"><tr><td align="center" class="p1" bgcolor="<?php echo $DARK; ?>">&nbsp;</td></tr></table>
        </td>
     </tr>
</table>
</div>

</td></tr>
</table>
<?php

// END SR Photo Store

include($phpbb_root_path.'includes/page_footer.'.$phpEx);

?>
