<?php
/**
 *
 * @name Awards Mod's admin cp file
 * @package Awards Mod
 * @author lEx0 <lEx0.kz@gmail.com>
 *
 */

// ACP Header - START
if (!empty($setmodules))
{
	$module['Users']['Awards'] = basename(__FILE__);
	return;
}
require('./pagestart.php');
// ACP Header - END

$mode = (string) @$_GET['mode'] ? (string) @$_GET['mode'] : '';
require(INC_DIR .'functions_awards.php');

$template->assign_var( 'AWARDS_CP', 'AWARDS CP -   ' );
switch( $mode )
{
	case 'add_pre':
		$handle = opendir( "../images/awards/" );
		while( $file = readdir($handle) )
		{
			if($file != "." && $file != "..")
			{
				$template->assign_block_vars( 'aw_files', array(
					'file'	=> $file
				));
			};
		};
		closedir($handle);
		$template->assign_vars( array(
			'ADD'			=> TRUE,
			'ADD_AWARD'		=> $lang['AW_ADD_AWARD'],
			'AW_NAME'		=> $lang['AW_AWARD_NAME'],
			'AW_FILE'		=> $lang['AW_FILE'],
			'AW_MODER'		=> $lang['AW_AWARD_MODER'],
			'AW_FIND_USER'	=> $lang['AW_FIND_USER'],
			'AW_SEND'		=> $lang['AW_ADMIN_SEND']
		));
		print_page( 'admin_awards.tpl', 'admin' );
		break;
	case 'add':
		$title	= (string) $_GET['title'];
		$file	= (string) $_GET['file'];
		$moder	= !empty($_GET['username']) ? $_GET['username'] : 0;

		$title	= replace_special_chars( $title );
		
		if( $moder !== 0 )
		{
			$s	= $db->fetch_row( "SELECT user_id FROM " . USERS_TABLE . " WHERE username = '" . $db->escape_string( $moder ) . "'" );
			$moder = $s['user_id'];
		}
		
		if( !add_award( $title, $file, $error_message, $moder ) )
		{
			message_die( GENERAL_ERROR, $error_message );
		}
		meta_refresh( 'admin_awards.php', 1 );
		message_die( GENERAL_MESSAGE, $lang['AW_NEW_AW_ADD'] );
		break;
	case 'edit_pre':
		if( !$award_id = (int) @$_GET['aid'] )
		{
			message_die( GENERAL_ERROR, $lang['AW_INVALID_ID'] );
		}
		
		$a = $db->fetch_row( "SELECT * FROM " . BB_AWARDS . " WHERE award_id = " . $award_id );
		$handle = opendir( "../images/awards/" );
		while( $file = readdir($handle) )
		{
			if($file != "." && $file != "..")
			{
				$template->assign_block_vars( 'aw_files', array(
					'file'		=> $file,
					'selected'	=> ( $a['award_file'] == $file ) ? TRUE : FALSE
				));
			};
		};
		$moder = get_userdata( $a['award_moder'] );
		$template->assign_vars( array(
			//  
			'EDIT'			=> TRUE,
			'EDT_AWARD'		=> $lang['AW_EDIT_AWARD'],
			'AW_NAME'		=> $lang['AW_AWARD_NAME'],
			'AW_FILE'		=> $lang['AW_FILE'],
			'AW_MODER'		=> $lang['AW_AWARD_MODER'],
			'AW_FIND_USER'	=> $lang['AW_FIND_USER'],
			'AW_SEND'		=> $lang['AW_ADMIN_SEND'],
			//  
			'AWD_ID'		=> $a['award_id'],
			'AWD_TITLE'		=> $a['award_title'],
			'AWD_FILE'		=> $a['award_file'],
			'AWD_MODER'		=> ( !$moder ) ? '' : $moder['username']
		));
		
		print_page( 'admin_awards.tpl', 'admin' );
		break;
	case 'edit':
		$award_id 		= (int) @$_GET['awd'];
		$award_file		= (string) @$_GET['file'];
		$award_title	= (string) @$_GET['title'];
		$award_moder	= !empty($_GET['username']) ? $_GET['username'] : 0;
		if( $award_moder !== 0 )
		{
			$s	= $db->fetch_row( "SELECT user_id FROM " . USERS_TABLE . " WHERE username = '" . $db->escape_string( (string) $award_moder ) . "'" );
			$award_moder = $s['user_id'];
		}
		
		$sql = "
				UPDATE
					" . BB_AWARDS . "
				SET
					award_file = '" . $db->escape_string( $award_file ) . "',
					award_title = '" . $db->escape_string( $award_title ) . "',
					award_moder = " . (int) $award_moder . "
				WHERE
					award_id = " . (int) $award_id;
		if( !$db->sql_query( $sql ) )
		{
			message_die(GENERAL_ERROR, 'Could not update award', '', __LINE__, __FILE__, $sql);
		}
		meta_refresh( 'admin_awards.php', 1 );
		message_die( GENERAL_MESSAGE, $lang['AW_UPDATED_AW'] );
		break;
	case 'del':
		$award_id	= (int) $_GET['aid'];
		
		if( !$award_id )
		{
			message_die( GENERAL_ERROR, $lang['AW_INVALID_ID'] );
		}
		
		if( !del_award( $award_id, $error_message ) )
		{
			message_die( GENERAL_ERROR, $error_message );
		}
		meta_refresh( 'admin_awards.php', 1 );
		message_die( GENERAL_MESSAGE, $lang['AW_DELETED_AW'] );
		break;
	case 'synh':
		$award_id	= (int) $_GET['aid'];
		if( !$award_id )
		{
			message_die( GENERAL_ERROR, $lang['AW_INVALID_ID'] );
		}
		synh_award_count( $award_id );
		
		meta_refresh( 'admin_awards.php', 1 );
		message_die( GENERAL_MESSAGE, $lang['AW_SUC_SINH'] );
		break;
	default:
		
		$awards = get_awards();
		$template->assign_vars( array(
			'DEF'				=> TRUE,
			'ADD_AWARD'			=> $lang['AW_ADD_AWARD'],
			'AW_DELETE_THIS'	=> $lang['AW_REAL_DELETE'],
			'AW_DELETE'			=> $lang['AW_DELETE'],
			'AW_EDIT'			=> $lang['AW_EDIT'],
			'AW_NAME'			=> $lang['AW_AWARD_NAME'],
			'AW_FILE'			=> $lang['AW_FILE'],
			'AW_MODER'			=> $lang['AW_AWARD_MODER'],
			'AW_FUNCTION'		=> $lang['AW_FUNCTION'],
			'AW_ALL_AWARDS'		=> $lang['AW_ALL_ORDENS'],
			'AW_NOT_FOUND'		=> $lang['AW_NOT_ORDENS'],
			'AW_MODER_NA'		=> $lang['AW_MODER_NOT_D'],
			'AW_HANDED'			=> $lang['AW_HANDED'],
			'AW_SYNH'			=> $lang['AW_SYNH']
		));
		foreach ( $awards AS $aw )
		{
			$moder_info = get_userdata( $aw['award_moder'] );
			$template->assign_block_vars( 'awards', array(
				'award_id'			=> $aw['award_id'],
				'award_file'		=> $aw['award_file'],
				'award_title'		=> $aw['award_title'],
				'award_holders'		=> $aw['award_holders'],
				'award_moder_id'	=> $moder_info['user_id'],
				'award_moder_uname'	=> $moder_info['username']
			));
			
		}
		
		print_page( 'admin_awards.tpl', 'admin' );
		break;
}