<?php

$table_name = 'bb_ads_yandex';
$in = 'cidr.txt';
$out = 'sql.txt';

function cidrToRange($cidr) {
    $range = array();
    $cidr = explode('/', $cidr);
    $range[0] = long2ip((ip2long($cidr[0])) & ((-1 << (32 - (int)$cidr[1]))));
    $range[1] = long2ip((ip2long($cidr[0])) + pow(2, (32 - (int)$cidr[1])) - 1);
    return $range;
}

$file = fopen($in, "r");

file_put_contents($out, "TRUNCATE TABLE $table_name;\n");

while (!feof($file))
{
    $net = trim(fgets($file));
    
    $range = cidrToRange($net);
    $start_ip = $range[0];
    $end_ip = $range[1];
    
    file_put_contents($out, "INSERT INTO $table_name (start_ip, end_ip) VALUES ('$start_ip','$end_ip');\n", FILE_APPEND | LOCK_EX);
    
}
fclose($file);

?>