<?php

/* // deboog backtrace (very quick'n'dirty)
declare(ticks=1);
function tick_handler() {
    global $backtrace;
    $backtrace = debug_backtrace();
}
register_tick_function('tick_handler');
function shutdown() {
    global $backtrace;
    var_dump($backtrace);
}
register_shutdown_function('shutdown');
*/

$_SERVER['SERVER_NAME'] = 'underver.se'; // emulate for console call support

define('IN_ADMIN', true);
define('BB_ROOT', './../../');
$phpEx = substr(strrchr(__FILE__, '.'), 1);

require(BB_ROOT ."common.$phpEx");
require(BB_ROOT ."includes/functions_post.$phpEx");
require(BB_ROOT ."includes/functions_admin.$phpEx");

if (ob_get_level())
    ob_end_clean(); // don't need buffering in consoloe

// constants
define('CONSUMED_FORUM_ID', 615);   // forum for "consumed" releases
define('PRE_TRASH_ID', 614);        // forum id for "otstoynik"

//-----------------------------------------------------------------------------//

// live and archive forum IDs (forum_id => archive_id)
$forums_list = array(

    // video SD
    29 => 854, // HQ Underverse
    30 => 854,
    31 => 854,
    32 => 854,
    33 => 854,
    34 => 854,
    35 => 854,
    36 => 854,

    704 => 852, //  
    16  => 852,
    18  => 852,
    19  => 852,
    20  => 852,

    38  => 855, // 
    39  => 855,
    628 => 855,

    738 => 856,  // 
    41  => 856,
    739 => 856,
    42  => 856,
    740 => 856,


    // video HD
    99  => 871,  //  
    100 => 871,

    105 => 872,  //  
    106 => 872,

    1018 => 1021, // 
    1019 => 1021,

    1023 => 1025, // 
    1024 => 1025,

    113 => 873, //  
    114 => 873,

    119 => 874, //  
    128 => 874,
    120 => 874,
    121 => 874,
    122 => 874,
    129 => 874,


    //  
    58 => 857, //  
    59 => 857,
    60 => 857,
    61 => 857,
    62 => 857,
    63 => 857,
    64 => 857,
    65 => 857,
    66 => 857,
    75 => 857,

    69  => 858, //  
    943 => 858,
    742 => 858,
    70  => 858,
    71  => 858,
    964 => 858,
    72  => 858,
    73  => 858,
    702 => 858,
    74  => 858,

    671 => 859, // , , 
    836 => 859,
    837 => 859,
    838 => 859,

    78 => 860, // 
    81 => 860,
    79 => 860,
    80 => 860,
    82 => 860,
    83 => 860,

    636 => 861, //  
    637 => 861,
    638 => 861,
    639 => 861,
    640 => 861,
    641 => 861,
    642 => 861,

    644 => 862, //  
    645 => 862,
    87  => 862,


    //  lossy
    146 => 875, //  
    147 => 875,
    148 => 875,
    149 => 875,
    150 => 875,

    155 => 876, //  
    156 => 876,
    157 => 876,
    969 => 876,
    820 => 876,
    646 => 876,
    158 => 876,
    159 => 876,
    160 => 876,
    822 => 876,
    647 => 876,
    161 => 876,
//    163 => 876,

    166 => 877, //  
    168 => 877,
    169 => 877,
    179 => 877,
    170 => 877,
    172 => 877,
    173 => 877,
    171 => 877,
    175 => 877,
    182 => 877,
    177 => 877,
    180 => 877,
    181 => 877,
    183 => 877,
    185 => 877,
    187 => 877,
    186 => 877,
    174 => 877,
    176 => 877,
    178 => 877,
    167 => 877,
    184 => 877,
    188 => 877,
//    190 => 877,

    193 => 878, // , -  -- 
    194 => 878,
    195 => 878,
    196 => 878,
    197 => 878,
//    199 => 878,

    202 => 879, // ,    
    203 => 879,
    204 => 879,
    205 => 879,
    206 => 879,
    207 => 879,
//    209 => 879,

    212 => 880, //    
    213 => 880,
    214 => 880,
//    216 => 880,

    219 => 881, //  
    220 => 881,
    221 => 881,
    223 => 881,
    224 => 881,
    225 => 881,
//    222 => 881,

    228 => 882, // , ,    
    229 => 882,
    230 => 882,
    231 => 882,
    232 => 882,
    233 => 882,
//    234 => 882,

    237 => 883, // 

    240 => 884, //   
    241 => 884,
    242 => 884,
    243 => 884,
    244 => 884,
//    245 => 884,

    248 => 885, //   
//    249 => 885,
//    706 => 885,
//    250 => 885,

    152 => 163, // . 

    //  lossless
    253 => 886, // [HQ]  
    255 => 886,
//    254 => 886,
//    256 => 886,
    257 => 886,

    261 => 887, // [HQ]  
    262 => 887,
    263 => 887,
    821 => 887,
    648 => 887,
    265 => 887,
    266 => 887,
    823 => 887,
    649 => 887,
    267 => 887,
//    264 => 887,
    269 => 887,

    273 => 888, // [HQ]  
    274 => 888,
    281 => 888,
    275 => 888,
    277 => 888,
    278 => 888,
    276 => 888,
    279 => 888,
    284 => 888,
    280 => 888,
    282 => 888,
    283 => 888,
    285 => 888,
    286 => 888,
    287 => 888,
    288 => 888,
//    289 => 888,
    291 => 888,

    295 => 889, // [HQ] , -  -- 
    296 => 889,
    297 => 889,
    298 => 889,
//    299 => 889,
    300 => 889,

    304 => 890, // [HQ] ,    
    305 => 890,
    306 => 890,
    307 => 890,
    308 => 890,
    309 => 890,

    313 => 891, // [HQ]    
    314 => 891,
//    315 => 891,
//    316 => 891,
    317 => 891,

    321 => 892, // [HQ]  
//    322 => 892,
    323 => 892,
//    324 => 892,
    325 => 892,
//    326 => 892,
    327 => 892,
    328 => 892,

    331 => 893, // [HQ] , ,    
    332 => 893,
    333 => 893,
    334 => 893,
    335 => 893,
//    336 => 893,
    337 => 893,


    340 => 894, // [HQ]   
    341 => 894,

    731 => 895, // [HQ]   
    344 => 895,
    345 => 895,
    346 => 895,
    347 => 895,
//    348 => 895,

    350 => 896, // [HQ] 
//    352 => 896,


    //  PC
    357 => 897, // RPG   
    736 => 897,

    361 => 898, // Adventure / Quest

    369 => 900, // Action / Shooter
//    989 => 900,

    373 => 901, // 
    372 => 901,
//    374 => 901,
    992 => 901,
    375 => 901,
//    376 => 901,
//    734 => 901,

    650 => 902, // 
//    652 => 902,
//    735 => 902,
//    733 => 902,
//    651 => 902,

    363 => 899, // 
    364 => 899,
    365 => 899,
//    367 => 899,

    381 => 903, //  
//    383 => 903,
//    387 => 903,
//    385 => 903,
//    388 => 903,
//    392 => 903,

    389 => 904, // , , 
//    390 => 904,
//    391 => 904,
//    394 => 904,

    400 => 906, //  
    401 => 906,


    // 
    993  => 842, //   
    1104 => 842,
    1030 => 842,
    1031 => 842,
    968  => 842,
    1012 => 842,
    439  => 842,
    1013 => 842,
    438  => 842,
    437  => 842,
    440  => 842,
    441  => 842,

    449 => 914, //  Linux, Unix
    450 => 914,
    451 => 914,
    452 => 914,
    453 => 914,

    444 => 913, // OC Apple
    655 => 913,
    445 => 913,
    446 => 913,

    468 => 916, //  
    469 => 916,
    470 => 916,
    471 => 916,
    472 => 916,
    473 => 916,
    475 => 916,
    476 => 916,
    477 => 916,
    478 => 916,

    456 => 915, //  
    457 => 915,
    458 => 915,
    459 => 915,
    460 => 915,
    461 => 915,
    462 => 915,
    463 => 915,
    464 => 915,
    465 => 915,

    488 => 918, //   
    489 => 918,
    490 => 918,
    491 => 918,
    492 => 918,

    509 => 919, //  
    510 => 919,
    511 => 919,
    512 => 919,
    513 => 919,
    514 => 919,
    515 => 919,


    481 => 917, // ,  , 
    482 => 917,
    483 => 917,
    484 => 917,
    485 => 917,

    568 => 928, //   
    683 => 928,
    684 => 928,
    685 => 928,
    686 => 928,
    687 => 928,
    688 => 928,
    689 => 928,
    690 => 928,
    691 => 928,
    692 => 928,


    // books
    1053 => 1084, //  
    573  => 1084,
    1054 => 1084,
    1055 => 1084,
    1056 => 1084,

    1069 => 1083, //  
    1070 => 1083,
    1071 => 1083,
    1072 => 1083,
    1073 => 1083,
    1074 => 1083,
    1075 => 1083,
    1076 => 1083,
    846  => 1083,
    569  => 1083,

    676  => 927, //  
    673  => 927,
    678  => 927,
    1078 => 927,
    675  => 927,
    674  => 927,
    677  => 927,
    679  => 927,
    1079 => 927,
    1080 => 927,
    1081 => 927,
    680  => 927,
    578  => 927,
    556  => 927,


    564  => 926,  //  
    1033 => 926,
    1034 => 926,
    1035 => 926,
    1036 => 926,
    1037 => 926,
    1038 => 926,
    1039 => 926,
    1040 => 926,

    570 => 926,
    571 => 926,
    795 => 926,
    1042 => 926,
    1043 => 926,
    567  => 926,
    1044 => 926,
    1088 => 926,
    1089 => 926,
    574  => 926,
    1086 => 926,
    575  => 926,

    1046 => 926,
    1047 => 926,
    1048 => 926,
    1049 => 926,
    1050 => 926,
    1051 => 926,
    566  => 926,

    1058 => 926,
    955  => 926,
    1059 => 926,
    1060 => 926,
    1061 => 926,
    1062 => 926,
    1063 => 926,
    1064 => 926,
    1065 => 926,
    1066 => 926,
    1067 => 926,
    1087 => 926,
    1077 => 926,
    572  => 926,

    554 => 926,
    555 => 926,
    557 => 926,

);


function scrape($hash)
{
    if ($ch = curl_init())
    {
        curl_setopt($ch, CURLOPT_URL,"http://127.0.0.1/bt/scraper.php");
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_USERAGENT,'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13');
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query(array('info_hash' => $hash)));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        //curl_setopt($ch, CURLOPT_VERBOSE, 1);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Host: underver.se'));

        $server_output = curl_exec ($ch);

        curl_close ($ch);

        return strip_tags($server_output);
    }
    return "Curl error";

}




// main loop

$topics_moved = 0;

foreach ($forums_list as $key => $val)
{
	// TODO: optimize query using JOIN
//    $sql = 'select topic_id, info_hash from ' . BT_TORRENTS_TABLE . '
//            where topic_id in (select topic_id from ' . TOPICS_TABLE . ' where forum_id = ' .$key. ') and
//            from_unixtime(reg_time) < now() - interval 1 day and
//            from_unixtime(seeder_last_seen) < now() - interval 3 month';


    $sql = 'select t.topic_id, tor.info_hash from ' . TOPICS_TABLE . ' t 
            left join ' . BT_TORRENTS_TABLE . ' tor on (t.topic_id = tor.topic_id)
            where t.forum_id = ' .$key. ' and (from_unixtime(tor.reg_time) < now() - interval 1 day and
                                              from_unixtime(tor.seeder_last_seen) < now() - interval 3 month
                                              or tor.info_hash is null)';


    $row = $db->fetch_rowset($sql);

    for ($i = 0, $cnt = count($row); $i < $cnt; $i++)
    {
        // check if topic w/o torrent or not reged torrent
        if (strval($row[$i]['info_hash']) == '')
        {
            echo "Topic " . $row[$i]['topic_id'] . " has no attached torrent or torrent is not registered!\n";
            echo "Moving topic " . $row[$i]['topic_id'] . " from forum " . $key . " to forum " . $bb_cfg['trash_forum_id'] . "\n\n";
            topic_move($row[$i]['topic_id'], $bb_cfg['trash_forum_id'], $key, false, true);
            $topics_moved++;
        }
        else
        {

            $sql = "select seeders, leechers from bb_bt_scrape where topic_id  = " . $row[$i]['topic_id'];

            $scraped_row = $db->fetch_row($sql);
            if (intval($scraped_row['seeders']) == 0)
            {
                echo "Topic " . $row[$i]['topic_id'] . " has no multitracker seeders, scraping ";
                echo " (" . scrape(bin2hex($row[$i]['info_hash'])) . ")\n";

                // check if has seeds after scrape
                $scraped_row = $db->fetch_row($sql);
                if (intval($scraped_row['seeders']) == 0)
                {
                    echo "Moving topic " . $row[$i]['topic_id'] . " from forum " . $key . " to forum " . $val . "\n\n";
                    topic_move($row[$i]['topic_id'], $val, $key, false, true);
                    $topics_moved++;
                }
                else
                {
                    echo "Topic " . $row[$i]['topic_id'] . " now has " . $scraped_row['seeders'] . " seeders, skipping.\n\n";
                }
                // sleep between scrapes to prevent hammering
                sleep(1);
            }
            else
            {
                echo "Topic " . $row[$i]['topic_id'] . " already has " . $scraped_row['seeders'] . " seeders, skipping.\n\n";
            }
        }

    }
}

echo "Archiving done! Topics moved: " . $topics_moved . "\n";

//-----------------------------------------------------------------------------//


// move consumed releases to special forum
$sql = "SELECT topic_id FROM " . BT_TORRENTS_TABLE . " WHERE tor_status = 9 AND forum_id <> " . CONSUMED_FORUM_ID;

$rows = $db->fetch_rowset($sql);
$topics_moved = 0;

foreach ($rows as $row)
{
	topic_move($row['topic_id'], CONSUMED_FORUM_ID, null, false, true);
	$topics_moved++;
}
echo "Moving consumed topics done! Topics moved: " . $topics_moved . "\n";

//-----------------------------------------------------------------------------//

// move old unapproved topics from "otstoynik" to trashcan
$sql = "SELECT topic_id FROM " . BT_TORRENTS_TABLE . " 
		WHERE tor_status <> 2 AND forum_id = " . PRE_TRASH_ID . " AND
		from_unixtime(checked_time) < NOW() - interval 7 day";

$rows = $db->fetch_rowset($sql);
$topics_moved = 0;

foreach ($rows as $row)
{
	topic_move($row['topic_id'], $bb_cfg['trash_forum_id'], null, false, true);
	$topics_moved++;
}
echo "Moving unapproved topics from otstoynik to trashcan done! Topics moved: " . $topics_moved . "\n";



?>