<?php

define('IN_PHPBB', true);
define('IN_ADMIN', true);

define('BB_ROOT', '../../');
$phpEx = substr(strrchr(__FILE__, '.'), 1);

require(BB_ROOT ."common.$phpEx");

header("Content-Type: text/plain");

//-----------------------------------------------------------------------------//
$topic_id = intval($_GET['topic_id']);

if ($topic_id > 0)
{
	$row = $db->fetch_row("SELECT topic_first_post_id FROM " . TOPICS_TABLE . " WHERE topic_id = $topic_id AND topic_dl_type = 1");

	if (!empty($row))
	{
		$first_post_id = $row['topic_first_post_id'];	
		if (!$first_post_id) die ("FATAL: topic has no first post ID !!!\n");
		
		$row = $db->fetch_row("SELECT attach_id FROM " . ATTACHMENTS_TABLE . " WHERE post_id = $first_post_id");
		$attach_id = isset($row['attach_id']) ? $row['attach_id'] : 0;
		if (!$attach_id) die ("FATAL: cannot obtain attach ID !!!\n");
		
		echo "Topic $topic_id with first post id $first_post_id and attach $attach_id found, ready to recalc IDs!\n";

		$row = $db->fetch_row("SELECT MAX(topic_id) AS max_id FROM ". TOPICS_TABLE);
		$new_topic_id = isset($row['max_id']) ? $row['max_id']+1 : 0;
		if (!$new_topic_id) die ("FATAL: cannot obtain new topic ID !!!\n");

		$row = $db->fetch_row("SELECT MAX(post_id) AS max_id FROM ". POSTS_TABLE);
		$new_first_post_id = isset($row['max_id']) ? $row['max_id']+1 : 0;
		if (!$new_first_post_id) die ("FATAL: cannot obtain new first post ID !!!\n");
		
		$row = $db->fetch_row("SELECT MAX(attach_id) AS max_id FROM ". ATTACHMENTS_TABLE);
		$new_attach_id = isset($row['max_id']) ? $row['max_id']+1 : 0;
		if (!$new_attach_id) die ("FATAL: cannot obtain new attach ID !!!\n");

		echo "New topic ID will be: $new_topic_id; New first post ID will be: $new_first_post_id; New attach ID will be: $new_attach_id\n\n";

		$now = TIMENOW;
		
		echo "Updating bb_topics...";  // todo: new_last_post_id
		$result = $db->query("UPDATE " . TOPICS_TABLE . " 
								SET topic_id = $new_topic_id, 
									topic_first_post_id = $new_first_post_id,
									topic_last_post_id = $new_first_post_id,
									topic_views = 0,
									topic_time = $now,
									topic_last_post_time = $now
									WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		
		echo "Updating bb_posts (topic_id)...";
		$result = $db->query("UPDATE " . POSTS_TABLE . " 
								SET topic_id = $new_topic_id, 
									post_time = $now, 
									post_edit_time = 0, 
									post_edit_count = 0 
									WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		echo "Updating bb_posts (post_id)...";
		$result = $db->query("UPDATE " . POSTS_TABLE . " SET post_id = $new_first_post_id WHERE post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		echo "Deleting bb_posts_html...";
		$result = $db->query("DELETE FROM " . POSTS_HTML_TABLE . " WHERE post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		echo "Updating bb_posts_text...";
		$result = $db->query("UPDATE " . POSTS_TEXT_TABLE . " SET post_id = $new_first_post_id WHERE post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		echo "Updating bb_posts_search...";
		$result = $db->query("UPDATE " . POSTS_SEARCH_TABLE . " SET post_id = $new_first_post_id WHERE post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_forums...";
		$result = $db->query("UPDATE " . FORUMS_TABLE . " SET forum_last_post_id = $new_first_post_id WHERE forum_last_post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		
		echo "Updating bb_attachments (post_id)... ";
		$result = $db->query("UPDATE " . ATTACHMENTS_TABLE . " SET post_id = $new_first_post_id WHERE post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_attachments (attach_id)... ";
		$result = $db->query("UPDATE " . ATTACHMENTS_TABLE . " SET attach_id = $new_attach_id WHERE attach_id = $attach_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_attachments_desc... ";
		$result = $db->query("UPDATE " . ATTACHMENTS_DESC_TABLE . " SET attach_id = $new_attach_id WHERE attach_id = $attach_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		
		echo "Updating bb_bt_dlstatus_main...";
		$result = $db->query("UPDATE " . BT_DLSTATUS_MAIN_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_bt_dlstatus_new...";
		$result = $db->query("UPDATE " . BT_DLSTATUS_NEW_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_bt_dlstatus_snap...";
		$result = $db->query("UPDATE " . BT_DLSTATUS_SNAP_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_bt_last_torstat...";
		$result = $db->query("UPDATE " . BT_LAST_TORSTAT_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_bt_torrents (topic_id)...";
		$result = $db->query("UPDATE " . BT_TORRENTS_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		echo "Updating bb_bt_torrents (post_id)...";
		$result = $db->query("UPDATE " . BT_TORRENTS_TABLE . " SET post_id = $new_first_post_id WHERE post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		echo "Updating bb_bt_torrents (attach_id)...";
		$result = $db->query("UPDATE " . BT_TORRENTS_TABLE . " SET attach_id = $new_attach_id, seeder_last_seen = $now, reg_time = $now, checked_time = $now WHERE attach_id = $attach_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_bt_torstat...";
		$result = $db->query("UPDATE " . BT_TORSTAT_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_bt_tracker...";
		$result = $db->query("UPDATE " . BT_TRACKER_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		
		echo "Updating bb_bt_tracker_snap...";
		$result = $db->query("UPDATE " . BT_TRACKER_SNAP_TABLE . " SET topic_id = $new_topic_id WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Updating bb_reviews...";
		$result = $db->query("UPDATE " . REVIEWS_TABLE . " SET post_id = $new_first_post_id WHERE post_id = $first_post_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Deleting from bb_topics_bookmark...";
		$result = $db->query("DELETE FROM " . TOPICS_BOOKMARK_TABLE . " WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Deleting from bb_topics_watch...";
		$result = $db->query("DELETE FROM " . TOPICS_WATCH_TABLE . " WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Deleting from bb_bt_rating...";
		$result = $db->query("DELETE FROM " . BT_RATING_TABLE . " WHERE attach_id = $attach_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		
		echo "Deleting from bb_vote_desc...";
		$result = $db->query("DELETE FROM " . VOTE_DESC_TABLE . " WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Deleting from bb_vote_voters...";
		$result = $db->query("DELETE FROM " . VOTE_USERS_TABLE . " WHERE vote_id NOT IN (SELECT vote_id FROM " . VOTE_DESC_TABLE . ")");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "Deleting from bb_vote_results...";
		$result = $db->query("DELETE FROM " . VOTE_RESULTS_TABLE . " WHERE vote_id NOT IN (SELECT vote_id FROM " . VOTE_DESC_TABLE . ")");
		echo $db->sql_affectedrows() . " rows affected.\n";
		
		echo "Deleting from buf_topic_view...";
		$result = $db->query("DELETE FROM " . BUF_TOPIC_VIEW_TABLE . " WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";
		
		echo "Deleting from buf_last_seeder...";
		$result = $db->query("DELETE FROM " . BUF_LAST_SEEDER_TABLE . " WHERE topic_id = $topic_id");
		echo $db->sql_affectedrows() . " rows affected.\n";

		echo "\nRenewing topic successfully completed!";
	}
	else
	{
		echo "Target DL topic does not exist!\n";
	}


}
else
{
	echo "Invalid topic id!\n";
}


?>