<?php

if (!defined('BB_ROOT')) die(basename(__FILE__));

$points_add = (int) $bb_cfg['points_add'];  // 1 by default

$releases_threshold_1 = 24;  $points_extra_1 = "0.5"; // 25  or more releases - extra 0.5 points
$releases_threshold_2 = 49;  $points_extra_2 = "0.5"; // 50  or more releases - extra 0.5 points
$releases_threshold_3 = 99;  $points_extra_3 = "1";   // 100 or more releases - extra 1   points

if ($bb_cfg['bonus_enable'])
{

	$db->expect_slow_query(600);

	$db->query("UPDATE
        	    ".BT_USERS_TABLE." AS u,
        	    ".BT_TRACKER_TABLE." AS t
	           SET u.user_bonus = u.user_bonus + $points_add
        	   WHERE t.seeder > 0
	           AND u.user_id = t.user_id
	          ");

	// dj_maxx: HQ Underverse double bonus hack (extra point add)
/*
	$db->query("UPDATE
        	    ".BT_USERS_TABLE." AS u,
        	    ".BT_TRACKER_TABLE." AS t,
        	    ".TOPICS_TABLE." AS top
	    SET u.user_bonus = u.user_bonus + $points_add
			WHERE t.seeder > 0
			AND u.user_id = t.user_id
	        AND top.topic_id = t.topic_id
	        AND top.forum_id IN (29,30,31,32,33,34,35)
			");
*/
	// end of

    $db->query("UPDATE
                bb_bt_users AS u
                SET u.user_bonus = u.user_bonus + $points_extra_1
                WHERE (SELECT COUNT(*) FROM bb_bt_tracker tc WHERE tc.seeder > 0 AND tc.user_id=u.user_id) > $releases_threshold_1
              ");

    $db->query("UPDATE
                bb_bt_users AS u
                SET u.user_bonus = u.user_bonus + $points_extra_2
                WHERE (SELECT COUNT(*) FROM bb_bt_tracker tc WHERE tc.seeder > 0 AND tc.user_id=u.user_id) > $releases_threshold_2
              ");

    $db->query("UPDATE
                bb_bt_users AS u
                SET u.user_bonus = u.user_bonus + $points_extra_3
                WHERE (SELECT COUNT(*) FROM bb_bt_tracker tc WHERE tc.seeder > 0 AND tc.user_id=u.user_id) > $releases_threshold_3
              ");


	$db->expect_slow_query(10);
}

// dj_maxx: progress bar (for gauges and other concurs bonuses)
/*
$rows = $db->fetch_rowset(
"select tmp.username, count(*) as numrel, sum(score) as score
from (
select u.username, a.attach_id, (case when a.size > 10*1024*1024*1024 then 3 when a.size > 5*1024*1024*1024 then 2 else 1 end) as score from
bb_users u
left join bb_bt_torrents a on (u.user_id=a.poster_id)
where user_id in (2,8541,189236,113383,263006,239747,119336,114844,235869) and a.reg_time > 1518728400
) as tmp
group by tmp.username
order by score desc"
);

$scoreboard = array();
$total_releases = 0;
foreach ($rows as $row)
{
    $scoreboard []= array('username' => $row['username'], 'numrel' => $row['numrel'], 'score' => $row['score']);
    $total_releases += $row['numrel'];
}


//$time_to_end = 1520553600 - time();
//$total_time =  1520553600 - 1518134400;
//
//$gauge = 100 - ($time_to_end / $total_time)*100;
//
$gauge = ($total_releases / 3000) * 100;


if ($gauge < 0) $gauge = 0;

bb_update_config(array("gauge_1" => floor($gauge)));

bb_update_config(array("gauge_2" => serialize($scoreboard)));
*/
// end of





