<?php

if (!defined('BB_ROOT')) die(basename(__FILE__));

require(INC_DIR .'SourceQuery/SourceQuery.class.'. PHP_EXT);

define('SQ_SERVER_ADDR', '94.242.221.123');
define('SQ_SERVER_PORT', 27016);
define('SQ_TIMEOUT', 1 );
define('SQ_ENGINE', SourceQuery :: GOLDSOURCE);
	 
$infoarray = $data = array();

$server = new SourceQuery();

try
{
	$server->Connect(SQ_SERVER_ADDR, SQ_SERVER_PORT, SQ_TIMEOUT, SQ_ENGINE);

	$infoarray = $server->getInfo();

	$data['players_cur'] = $infoarray["Players"];
	$data['players_max'] = $infoarray["MaxPlayers"];
	$data['map'] = $infoarray["Map"]; 

	$numbots = 0;

	foreach ($server->getPlayers() as $player)
	{
		if (preg_match("/\[P(O|0|\*)D\]/", $player["Name"]))
		{
			$numbots++;
		}
	}

	$data['bots'] = $numbots;

}
catch (Exception $e)
{
	$data['map'] = $e->getMessage();
	$data['players_max'] = $e->getMessage();
	$data['players_cur'] = $e->getMessage();
	$data['bots'] = $e->getMessage();
}



$this->store('cstrike_stats', $data);


