<?php

if (!defined('BB_ROOT')) die(basename(__FILE__));

global $db, $bb_cfg;


$medal_num_recent = $bb_cfg['medal_num_recent'];

// dj_maxx: add coolness mod
$sql = "SELECT 
    u.user_id, u.username,
    u.user_regdate,
    u.user_session_time,
    (SELECT count(*) FROM bb_bt_torrents t WHERE t.poster_id = u.user_id) as user_releases,
    IFNULL(ut.user_bonus,0) as seed_bonus,
    u.user_reputation,
    u.user_coolness
FROM " . USERS_TABLE . " u LEFT JOIN " . BT_USERS_TABLE . " ut ON (u.user_id = ut.user_id)
ORDER BY u.user_coolness DESC
LIMIT $medal_num_recent";

$result = $db->sql_query($sql);
$medalrow = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$medalrow[] = $row;
}
$db->sql_freeresult($result);

$this->store('medal_cache_coolness_new', $medalrow);

// end of


/*
// medal cache 1

$sql = "SELECT DISTINCT 
		u.username, u.user_id, u.user_regdate, 
		tr.user_id, tr.u_up_total, tr.u_up_bonus, tr.u_down_total, tr.u_up_release,
		(tr.u_up_total+tr.u_up_bonus+tr.u_up_release)/tr.u_down_total AS rat, 
		bl.ban_userid

	FROM  ( " . USERS_TABLE . " u LEFT JOIN " . BT_USERS_TABLE . " tr ON u.user_id = tr.user_id) LEFT JOIN " . BANLIST_TABLE . " bl ON u.user_id = bl.ban_userid

        WHERE bl.ban_userid Is Null
              AND tr.u_up_total > 2147483648 AND (tr.u_down_total = 0 OR tr.u_down_total > 2147483648)
        ORDER BY rat DESC
        LIMIT $medal_num_recent";


$result = $db->sql_query($sql);

$medalrow = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$medalrow[] = $row;
}
$db->sql_freeresult($result);


$this->store('medal_cache_1_new', $medalrow);


// medal cache 2


$sql = "SELECT DISTINCT 
	u.username, u.user_id, u.user_regdate, 
	tr.user_id, tr.u_up_total, tr.u_up_bonus, tr.u_down_total, tr.u_up_release,
	IF (tr.u_up_total > tr.u_down_total, tr.u_up_total-tr.u_down_total, NULL) AS rat1

        FROM ( " . USERS_TABLE . " u LEFT JOIN " . BT_USERS_TABLE . " tr ON u.user_id=tr.user_id) LEFT JOIN " . BANLIST_TABLE . " bl ON u.user_id=bl.ban_userid

        WHERE bl.ban_userid Is Null
        ORDER BY rat1 DESC
        LIMIT $medal_num_recent";

$result = $db->sql_query($sql);

$medalrow = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$medalrow[] = $row;
}
$db->sql_freeresult($result);


$this->store('medal_cache_2_new', $medalrow);


// medal cache 3


$sql = "SELECT count(uds.completed) AS complete, tor.*, t.*, u.username, u.user_id, f.forum_id, f.forum_name, cat.cat_id, 
		cat.cat_title, t.topic_title, t.topic_id
        FROM " . BT_TORRENTS_TABLE . " tor, " . TOPICS_TABLE . " t , " . FORUMS_TABLE. " f , " . USERS_TABLE . " u , " . CATEGORIES_TABLE . " cat, " . BT_TORSTAT_TABLE . " uds
        WHERE
        tor.topic_id = t.topic_id
        AND tor.poster_id = u.user_id
        AND t.forum_id = f.forum_id
        AND f.cat_id = cat.cat_id
        AND uds.topic_id = tor.topic_id
        GROUP BY uds.topic_id
        ORDER BY complete DESC
        LIMIT 20";

$result = $db->sql_query($sql);
	
$medalrow = array();
while ( $row = $db->sql_fetchrow($result) )
{
	$medalrow[] = $row;
}
$db->sql_freeresult($result);


$this->store('medal_cache_3_new', $medalrow);

*/
