<?php

if (!defined('BB_ROOT')) die(basename(__FILE__));

require(INC_DIR . 'simple_html_dom.'.$phpEx);

//-----------------------------------------------------------------------------
function get_http_site($http, $metod = 'GET', $POST = '', $Cookie = '', $Header_only = '')
{
	$save_text = '';
	$return = '';
    
	preg_match_all('~^http://(.*?)/(.*?)$~', $http, $http_out);

	switch($metod){
		case "POST":
			$send = 'POST /' . $http_out[2][0] . ' HTTP/1.0' . "\r\n";
		break;

		default:
			$send = 'GET /' . $http_out[2][0] . ' HTTP/1.0' . "\r\n";
		break;
	}

	$send .= 'Host: ' . $http_out[1][0] . "\r\n";

    if(!empty($_SERVER['HTTP_USER_AGENT'])){
    	$send .= 'User-Agent: ' . $_SERVER['HTTP_USER_AGENT'] . "\r\n";
    }else{
    	$send .= 'User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.2; WOW64)' . "\r\n";
    }

    $send .= 'Accept: text/html, application/xhtml+xml, application/xml; q=0.9,*/*; q=0.8' . "\r\n";
    $send .= 'Accept-Language: ru, en-us; q=0.7, en; q=0.3' . "\r\n";
    $send .= 'Accept-Encoding: *' . "\r\n";
    $send .= 'Accept-Charset: windows-1251, utf-8; q=0.7, *; q=0.7' . "\r\n";
    $send .= 'Referer: ' . $http . "\r\n";

    if(!empty($Cookie)){
		$send .= 'Cookie: ' . $Cookie . "\r\n";
    }

    switch($metod){
		case "POST":
			$send .= 'Content-Type: application/x-www-form-urlencoded' . "\r\n";
			$send .= 'Content-Length: ' . strlen($POST) . "\r\n";
			$send .= 'Connection: Close' . "\r\n\r\n";
			$send .= $POST;
		break;

		default:
			$send .= 'Content-Type: text/html' . "\r\n";
			$send .= 'Connection: Close' . "\r\n\r\n";
		break;
	}

    $ip = gethostbyname($http_out[1][0]);
    $open = fsockopen($ip, 80, $errno, $errstr, 60);

	fputs($open, $send);

    switch($Header_only){
		case 'True':
			while(!feof($open)){
				if(preg_match('~^<html>~', $return)){
						break;
				}else{
					$return .= fgets($open, 4096);
				}
			}
		break;

		case 'Cookie':
			while(!feof($open)){
				if(preg_match('~^<html>~', $return)){
					break;
				}else{
					$return .= fgets($open, 4096);
				}
			}

			preg_match_all('~Set-Cookie: (.*?);~', $return, $return_array);

			foreach($return_array[1] as $value){
				$save_text .= $value . '; ';
			}

			file_put_contents(CACHE_DIR . $http_out[1][0] . '.cookie', $save_text);

			unset($return_array);
			unset($save_text);
		break;

		default:
			$return = '';
			while(!feof($open)){
				$return .= fgets($open, 4096);
			}
		break;
	}

	fclose($open);

	return $return;
}
//-----------------------------------------------------------------------------


function rutracker_get_parsed_release( $id, $rutracker_login, $rutracker_password )
{
	// ------ get content -----------------------------------------------------
	$cookie_file = CACHE_DIR . 'login.rutracker.org.cookie';
	
	if (!file_exists($cookie_file))
	{
		get_http_site('http://login.rutracker.org/forum/login.php', 'POST', 'login_username='.$rutracker_login.'&login_password='.$rutracker_password.'&login=%C2%F5%EE%E4', '', 'Cookie');
	}
	
	//     
	$cookie_body = @file_get_contents($cookie_file);
	if (strpos($cookie_body, 'bb_data=') === false)	{ return 'Cookie error!'; }

	$content = get_http_site('http://rutracker.org/forum/viewtopic.php?t='. $id, 'GET', '', $cookie_body);

	if (strpos($content, 'bb_data=deleted') !== false)
	{
		//     -        ,     -     
		get_http_site('http://login.rutracker.org/forum/login.php', 'POST', 'login_username='.$rutracker_login.'&login_password='.$rutracker_password.'&login=%C2%F5%EE%E4', '', 'Cookie');

		$cookie_body = @file_get_contents($cookie_file);
		if (strpos($cookie_body, 'bb_data=') === false)	{ return 'Cookie error!'; }
		
		$content = get_http_site('http://rutracker.org/forum/viewtopic.php?t='. $id, 'GET', '', $cookie_body);
	}

	//------ parser body ------------------------------------------------------
	$result = ''; $html = str_get_html($content);
	
	//   
	$ret = $html->find('div[class=post_body]',0);
	//    
	$tor_link = $ret->find('a[class=dl-stub]',0)->href;
	$ret->outertext = trim(substr($ret->innertext, 0, strpos($ret->innertext, '<div class="clear"></div>')));

	$ret = str_get_html($ret);
	
	
	//    
	while ($e = $ret->find('span[class=post-b]',0))  { $e->outertext = '[b]' . $e->innertext . '[/b]'; $ret = str_get_html($ret); }
	while ($e = $ret->find('span[class=post-br]',0)) { $e->outertext = "{post-br}";                    $ret = str_get_html($ret); }
	while ($e = $ret->find('br',0))                  { $e->outertext = "{br}"; 	                       $ret = str_get_html($ret); }
	
	
    //    
	while ($e = $ret->find('span[style*=font-size]',0 ))
	{		
		if (preg_match('~font-size: ([0-9]+)px; line-height: normal;~si', $e->style, $regs)) 
		{
			$e->outertext = '[size='.$regs[1].']'.$e->innertext.'[/size]';
		}	 
		$ret = str_get_html($ret);
	}
	
	while ($e = $ret->find('span[style*=font-family]',0))
	{		
		if (preg_match('~font-family: (.*);~si', $e->style, $regs)) 
		{
			$e->outertext = '[font="'.$regs[1].'"]'.$e->innertext.'[/font]';
		} 
		$ret = str_get_html($ret);
	}

	while ($e = $ret->find('span[style*=color]',0))
	{		
		if (preg_match('~color: (.*);~si', $e->style, $regs)) 
		{
			$e->outertext = '[color='.$regs[1].']'.$e->innertext.'[/color]';
		} 
		$ret = str_get_html($ret);
	}
	
	while ($e = $ret->find('var[class*=postImg]',0))
	{		
		if (preg_match('~postImg~si', $e->class, $regs)) 
		{
			$e->outertext = '[img]'.$e->title.'[/img]';
		} 
		if (preg_match('~postImg postImgAligned img-(.*)~si', $e->class, $regs)) 
		{
			$e->outertext = '[img='.$regs[1].']'.$e->title.'[/img]';
		} 
		$ret = str_get_html($ret);
	}
	
	while ($e = $ret->find('a[class*=postLink]',0))
	{		
		$e->outertext = '[url='.$e->href.']'.$e->innertext.'[/url]';
		$ret = str_get_html($ret);
	}
		
	while ($e = $ret->find('span[class=post-align]',0))
	{		
		if (preg_match('~text-align: (.*);~si', $e->style, $regs)) 
		{
			$e->outertext = '[align='.$regs[1].']'.$e->innertext.'[/align]';
		} 
		$ret = str_get_html($ret);
	}

	while ($e = $ret->find('div[class=sp-wrap]',0))
	{	
		$e1 = $ret->find('div[class=sp-body]',0);
		foreach ($e1->find('h3[class=sp-title]') as $e2) { $e2->outertext = ''; }
		
		$e->outertext = '[spoiler="'.$e1->title.'"]'.$e1->innertext.'[/spoiler]';
		$ret = str_get_html($ret);
	}
	
	while ($e = $ret->find('img[class=smile]',0))
	{		
		$e->outertext = '[img]'.$e->src.'[/img]';
		$ret = str_get_html($ret);
	}
		
	$result = $ret->outertext;
	
	$result = str_replace("{post-br}", "\n", $result);
	$result = str_replace("{br}", "\n", $result);
	//------ end of -----------------------------------------------------------
	
	return $result;

}