<?php
/***************************************************************************
 *                           usercp_viewprofile.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: usercp_viewprofile.php,v 1.5.2.6 2005/09/14 18:14:30 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *
 ***************************************************************************/
if ( !defined('IN_PHPBB') )
{
	die("Hacking attempt");
	exit;
}

$datastore->enqueue(array(
	'ranks',
));

if (!$userdata['session_logged_in'])
{
	redirect(append_sid("login.$phpEx?redirect={$_SERVER['REQUEST_URI']}", TRUE));
}
if ( empty($HTTP_GET_VARS[POST_USERS_URL]) || $HTTP_GET_VARS[POST_USERS_URL] == ANONYMOUS )
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}
$profiledata = get_userdata($HTTP_GET_VARS[POST_USERS_URL]);

if (!$profiledata)
{
	message_die(GENERAL_MESSAGE, $lang['No_user_id_specified']);
}

// dj_maxx: add torrentbar
$show_torrentbar = 0;
$torrentbar_href = $torrentbar_img = '';
// end of

//
// Calculate the number of days this user has been a member ($memberdays)
// Then calculate their posts per day
//
$regdate = $profiledata['user_regdate'];
$memberdays = max(1, round( ( time() - $regdate ) / 86400 ));
$posts_per_day = $profiledata['user_posts'] / $memberdays;

// Get the users percentage of total posts
if ( $profiledata['user_posts'] != 0  )
{
	$total_posts = get_db_stat('postcount');
	$percentage = ( $total_posts ) ? min(100, ($profiledata['user_posts'] / $total_posts) * 100) : 0;
}
else
{
	$percentage = 0;
}
$avatar_img = '';
if ( $profiledata['user_avatar_type'] && $profiledata['user_allowavatar'] )
{
	switch( $profiledata['user_avatar_type'] )
	{
		case USER_AVATAR_UPLOAD:
			$avatar_img = ( $board_config['allow_avatar_upload'] ) ? '<img src="' . $board_config['avatar_path'] . '/' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_REMOTE:
			$avatar_img = ( $board_config['allow_avatar_remote'] ) ? '<img src="' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
		case USER_AVATAR_GALLERY:
			$avatar_img = ( $board_config['allow_avatar_local'] ) ? '<img src="' . $board_config['avatar_gallery_path'] . '/' . $profiledata['user_avatar'] . '" alt="" border="0" />' : '';
			break;
	}
}

$ranks = $datastore->get('ranks');
$poster_rank = $rank_image = '';

if ($user_rank = $profiledata['user_rank'] AND isset($ranks[$user_rank]))
{
	$rank_image = ($ranks[$user_rank]['rank_image']) ? '<img src="'. $ranks[$user_rank]['rank_image'] .'" alt="" title="" border="0" />' : '';
	$poster_rank = $ranks[$user_rank]['rank_title'];
}

$temp_url = append_sid("privmsg.$phpEx?mode=post&amp;" . POST_USERS_URL . "=" . $profiledata['user_id']);
$pm_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_pm'] . '" alt="' . $lang['Send_private_message'] . '" title="' . $lang['Send_private_message'] . '" border="0" /></a>';


if ($profiledata['user_from'])
{
	$location = "<table><tr><td><b>" . $profiledata['user_from'] . "</b></td>";
	$location .= ($profiledata['user_from_flag'] && $profiledata['user_from_flag'] != 'blank.gif') ? ('<td>' . make_user_flag($profiledata['user_from_flag']) . '</td>') : '';
	$location .= "</tr></table>";
}
else
{
	$location = '';
}

$pm = '<a href="' . $temp_url . '">' . $lang['Send_private_message'] . '</a>';


// dj_maxx: add warnings & bans
if ($userdata['session_logged_in'])
{
	$reputation_uri = "warn.$phpEx?action=view&amp;mode=reputation&amp;u=" . $profiledata['user_id'];
	$reputation = '<a href="' . $reputation_uri . '">' . $lang['REPUTATION'] . ':</a>';
	$reputation_value = $profiledata['user_reputation'] . ( ($profiledata['user_id'] != $userdata['user_id']) ? ' <a href="warn.'.$phpEx.'?mode=reputation&action=new&u='.$profiledata['user_id'].'"><img src="'.$images['thumb_up'].'" alt="+" title="Reputation up" align="absmiddle" /></a>' : '');
}
if ( (IS_ADMIN || IS_MOD) && ($profiledata['user_level'] != ADMIN) && ($profiledata['user_level'] != MOD) )
{
	$warnings_uri = "warn.$phpEx?mode=warn&amp;action=view&amp;u=" . $profiledata['user_id'];
	$warnings = '<a href="' . $warnings_uri . '">' . $lang['WARNINGS'] . ':</a>';
	$warnings_value = ($profiledata['user_id'] != $userdata['user_id']) ? ' <a href="warn.'.$phpEx.'?mode=warn&action=new&u='.$profiledata['user_id'].'"><img src="'.$images['icon_yellow'].'" alt="Warn" title="Warn user" align="absmiddle" /></a>' : '';
	if (IS_ADMIN)
	{
		$warnings_value .= ($profiledata['user_id'] != $userdata['user_id']) ? ' <a href="warn.'.$phpEx.'?mode=ban&action=new&u='.$profiledata['user_id'].'"><img src="'.$images['icon_red'].'" alt="Ban" title="Ban user" align="absmiddle" /></a>' : '';
	}
}
else
{
	$warnings_value = '';
	$warnings = '';
	$warnings_uri = '';
}
// end of


if ( bf($profiledata['user_opt'], 'user_opt', 'viewemail') || IS_ADMIN )
{
	$email_uri = ( $board_config['board_email_form'] ) ? append_sid("profile.$phpEx?mode=email&amp;" . POST_USERS_URL .'=' . $profiledata['user_id']) : 'mailto:' . $profiledata['user_email'];
	$email_img = '<a href="' . $email_uri . '"><img src="' . $images['icon_email'] . '" alt="' . $lang['Send_email'] . '" title="' . $lang['Send_email'] . '" border="0" /></a>';
	$email = '<a href="' . $email_uri . '">' . $lang['Send_email'] . '</a>';
}
else
{
	$email_img = '';
	$email = '';
}
$www_img = ( $profiledata['user_website'] ) ? '<a href="' . $profiledata['user_website'] . '" target="_userwww"><img src="' . $images['icon_www'] . '" alt="' . $lang['Visit_website'] . '" title="' . $lang['Visit_website'] . '" border="0" /></a>' : '';
$www = ( $profiledata['user_website'] ) ? '<a href="' . $profiledata['user_website'] . '" target="_userwww">' . $profiledata['user_website'] . '</a>' : '';
if ( !empty($profiledata['user_icq']) )
{
	$icq_status_img = '<a href="http://wwp.icq.com/' . $profiledata['user_icq'] . '#pager"><img src="http://web.icq.com/whitepages/online?icq=' . $profiledata['user_icq'] . '&img=5" width="18" height="18" border="0" /></a>';
	$icq_img = '<a href="http://www.icq.com/people/' . $profiledata['user_icq'] . '"><img src="' . $images['icon_icq'] . '" alt="' . $lang['ICQ'] . '" title="' . $lang['ICQ'] . '" border="0" /></a>';
	$icq =  '<a href="http://www.icq.com/people/' . $profiledata['user_icq'] . '">' . $lang['ICQ'] . '</a>';
}
else
{
	$icq_status_img = '';
	$icq_img = '';
	$icq = '';
}
$aim_img = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?"><img src="' . $images['icon_aim'] . '" alt="' . $lang['AIM'] . '" title="' . $lang['AIM'] . '" border="0" /></a>' : '';
$aim = ( $profiledata['user_aim'] ) ? '<a href="aim:goim?screenname=' . $profiledata['user_aim'] . '&amp;message=Hello+Are+you+there?">' . $lang['AIM'] . '</a>' : '';
$msn_img = ( $profiledata['user_msnm'] ) ? $profiledata['user_msnm'] : '';
$msn = $msn_img;
$yim_img = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg"><img src="' . $images['icon_yim'] . '" alt="' . $lang['YIM'] . '" title="' . $lang['YIM'] . '" border="0" /></a>' : '';
$yim = ( $profiledata['user_yim'] ) ? '<a href="http://edit.yahoo.com/config/send_webmesg?.target=' . $profiledata['user_yim'] . '&amp;.src=pg">' . $lang['YIM'] . '</a>' : '';
$temp_url = append_sid("search.$phpEx?search_author=1&amp;uid={$profiledata['user_id']}");
$search_img = '<a href="' . $temp_url . '"><img src="' . $images['icon_search'] . '" alt="' . $lang['Search_user_posts'] . '" title="' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '" border="0" /></a>';
$search = '<a href="' . $temp_url . '">' . sprintf($lang['Search_user_posts'], $profiledata['username']) . '</a>';

// Report
//
// Get report user module and create report link
//
include_once(INC_DIR . "functions_report.$phpEx");
$report_user = report_modules('name', 'report_user');

if ($report_user && $report_user->auth_check('auth_write'))
{
	$template->assign_block_vars('switch_report_user', array());
	$template->assign_vars(array(
		'U_REPORT_USER' => append_sid("report.$phpEx?mode=" . $report_user->mode . '&amp;id=' . $profiledata['user_id']),
		'L_REPORT_USER' => $report_user->lang['Write_report'])
	);
}
// Report [END]


// Start add - Gender MOD
if ( !empty($profiledata['user_gender']))
{
           switch ($profiledata['user_gender'])
           {
                      case 1:  $gender = $lang['Male']; break;
                      case 2:  $gender = $lang['Female']; break;
                      default: $gender = $lang['No_gender_specify'];
           }
} else $gender = $lang['No_gender_specify'];
// End add - Gender MOD



// [MOD] Birthday

if ($profiledata['user_birthday'] != 999999)
{

	// [MOD] Zodiac
	
	$user_birthdate = realdate('md', $profiledata['user_birthday']);
	$i = 0;
	while ($i < 26)
	{
		if ($user_birthdate>=$zodiacdates[$i] && $user_birthdate<=$zodiacdates[$i+1])
		{
			$zodiac = $lang[$zodiacs[($i/2)]];
			$u_zodiac = $images[$zodiacs[($i/2)]];
			$zodiac_img = '<img src="' . $u_zodiac . '" alt="' . $zodiac . '" title="' . $zodiac . '" align="top" border="0" />';
			$i=26;
		} else
		{
			$i = $i+2;
		}
	}
	
	// [MOD] Zodiac [END]

	$user_birthday = realdate($lang['DATE_FORMAT'], $profiledata['user_birthday']);
	$user_birthday_on = true;
} else
{
	$user_birthday = $lang['No_birthday_specify'];
	$user_birthday_on = false;

	// [MOD] Zodiac
	
	$zodiac = '';
	$zodiac_img = '';
	$u_zodiac = '';
	
	// [MOD] Zodiac [END]
}

// [MOD] Birthday [END]

// dj_maxx: add awards mod
$awO 		= '';
if( !empty($profiledata['user_awards']) )
{
    $awards = @unserialize( $profiledata['user_awards'] );
    if( !$awards || count($awards) <= 0 )
    {}
    else
    {
        $awRc		= 0;
        foreach( $awards AS $aw )
        {
            $awO .= '<img class="award_tip" src="/images/awards/' . $aw['award_file'] . '" title="' . $lang['AW_AWARD'] . ': ' . $aw['award_title'] . '|<b>' . $lang['AW_ZA'] . '</b>: ' . $aw['award_reason'] . '|<b>' . $lang['AW_KOGDA'] . '</b>: ' . bb_date($aw['award_time']) . '">';
            $awRc++;
            if( $awRc >= 10 )
            {
                $awO .= '<br>';
                $awRc = 0;
            }
        }
    }
}
// end of

//
// Generate page
//
if ($profiledata['user_id'] == $userdata['user_id'] || IS_ADMIN)
{
	require(BB_ROOT .'attach_mod/attachment_mod.'. PHP_EXT);
	display_upload_attach_box_limits($profiledata['user_id']);

	// dj_maxx: add torrentbar
	$show_torrentbar = 1;
	$torrentbar_href = make_url('');
	$torrentbar_img = $torrentbar_href.'tb/' . $profiledata['user_id'] . '.png';
	// end of
}


// dj_maxx: add groups display in profile
$sql = "SELECT g.group_id, g.group_type, g.group_name, g.group_moderator
	FROM ". USER_GROUP_TABLE ." ug LEFT JOIN ". GROUPS_TABLE ." g ON ug.group_id = g.group_id
	WHERE g.group_single_user = 0 and g.group_type <> 2 and ug.user_id = ". $profiledata['user_id'];

if ( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not obtain groups information', '', __LINE__, __FILE__, $sql);
}

$member_string = '';
$cnt = $db->sql_numrows();

for ($i = 0; $i < $cnt; $i++)
{
	$row = $db->sql_fetchrow($result);

	$comma = (($i + 1) < $cnt) ? ', ' : '';

	if ( $row['group_moderator'] == $profiledata['user_id'] )
	{
		$member_string .= '<b><a class="gen" href="groupcp.'.$phpEx.'?g='.$row['group_id'].'">'.$row['group_name'].'</a></b>'.$comma;
	}
	else
	{
		$member_string .= '<a class="gen" href="groupcp.'.$phpEx.'?g='.$row['group_id'].'">'.$row['group_name'].'</a>'.$comma;
	}
}
$db->sql_freeresult($result);
// end of


if (IS_ADMIN)
{

        $link_ip = '';
	$link_rip = '';
	$i = 0;

	if ($profiledata['user_ip'])
	{

		$link_ip = "<table>";

		$sql = "SELECT username, user_id FROM " .USERS_TABLE ." WHERE user_ip = '$profiledata[user_ip]' LIMIT 30";
		$result = $db->sql_query($sql);
		
		while ($frow = $db->sql_fetchrow($result))
		{
			if ($frow['user_id'] != $profiledata['user_id'])
			{
				$link_ip .= "<tr>";
				$link_ip .= "<td><a href = \"profile.php?mode=viewprofile&u=$frow[user_id]\">$frow[username]</a></td>";
				$link_ip .= "<tr>";
			}
		}
		$link_ip .= "</table>";
	}
	
	if ($profiledata['user_rip'])
	{
		$link_rip = "<table>";

		$sql = "SELECT username, user_id FROM " .USERS_TABLE ." WHERE user_rip = '$profiledata[user_rip]' LIMIT 30";

		$result = $db->sql_query($sql);

		while ($frow = $db->sql_fetchrow($result))
		{
			if ($frow['user_id'] != $profiledata['user_id'])
			{
				$link_rip .= "<tr>";
				$link_rip .= "<td><a href = \"profile.php?mode=viewprofile&u=$frow[user_id]\">$frow[username]</a></td>";
				$link_rip .= "<tr>";
			}
		}
		$link_rip .= "</table>";
	}

	$template->assign_vars(array(
		'IP' => decode_ip($profiledata['user_ip']),
		'RIP' => decode_ip($profiledata['user_rip']),
//		'L_IP' => $L_IP,
//		'L_RIP' => $L_RIP,
//		'L_OTHER_IP' => $L_OTHER_IP,
//		'L_OTHER_RIP' => $L_OTHER_RIP,
		'LINK_RIP' => isset($link_rip) ? $link_rip : '',
		'LINK_IP' => isset($link_ip) ? $link_ip : '',
	));
}



$template->assign_vars(array(
	'PAGE_TITLE' => $lang['Viewing_profile'],
	'USERNAME' => $profiledata['username'],
	'PROFILE_USER_ID' => $profiledata['user_id'],
	'USER_REGDATE' => bb_date($profiledata['user_regdate']),
	'POSTER_RANK' => $poster_rank,
	'RANK_IMAGE' => $rank_image,
	'POSTS_PER_DAY' => $posts_per_day,
	'POSTS' => $profiledata['user_posts'],
	'PERCENTAGE' => $percentage . '%',
	'POST_DAY_STATS' => sprintf($lang['User_post_day_stats'], $posts_per_day),
	'POST_PERCENT_STATS' => sprintf($lang['User_post_pct_stats'], $percentage),
	'SEARCH_IMG' => $search_img,
	'SEARCH' => $search,
	'PM_IMG' => $pm_img,
	'PM' => $pm,

// dj_maxx: add warnings & bans
	'REPUTATION' => $reputation,
	'REPUTATION_VALUE' => $reputation_value,
	'WARNINGS' => $warnings,
	'WARNINGS_VALUE' => $warnings_value,
// end of
// dj_maxx: add awards mod
    'AWARDS_HTML'    => $awO,
// end of
	'EMAIL_IMG' => $email_img,
	'EMAIL' => $email,
	'WWW_IMG' => $www_img,
	'WWW' => $www,
	'ICQ_STATUS_IMG' => $icq_status_img,
	'ICQ_IMG' => $icq_img,
	'ICQ' => $icq,
	'AIM_IMG' => $aim_img,
	'AIM' => $aim,
	'MSN_IMG' => $msn_img,
	'MSN' => $msn,
	'YIM_IMG' => $yim_img,
	'YIM' => $yim,
	'LAST_VISIT_TIME' => ($profiledata['user_lastvisit']) ? bb_date($profiledata['user_lastvisit']) : $lang['Never'],
	'LAST_ACTIVITY_TIME' => ($profiledata['user_session_time']) ? bb_date($profiledata['user_session_time']) : $lang['Never'],
	'LOCATION' => $location,

	'USER_ACTIVE' => $profiledata['user_active'],

	'OCCUPATION' => ( $profiledata['user_occ'] ) ? $profiledata['user_occ'] : '',
	'INTERESTS' => ( $profiledata['user_interests'] ) ? $profiledata['user_interests'] : '',

	// [MOD] Birthday
	
	'BIRTHDAY' => $user_birthday,
	'BIRTHDAY_ON' => $user_birthday_on,
	
	// [MOD] Birthday [END]

	// [MOD] Zodiac

	'ZODIAC' => $zodiac,
	'ZODIAC_IMG' => $zodiac_img,
	'L_ZODIAC' => $lang['Zodiac'],
	'U_ZODIAC' => $u_zodiac,
	
	// [MOD] Zodiac [END]

// dj_maxx: add groups display in profile
	'MEMBER_OF' => $member_string,
// end of

// Start add - Gender MOD
	'GENDER' => $gender,
// End add - Gender MOD

	'AVATAR_IMG' => $avatar_img,

	'L_VIEWING_PROFILE' => sprintf($lang['Viewing_user_profile'], $profiledata['username']),
	'L_ABOUT_USER' => sprintf($lang['About_user'], $profiledata['username']),
	'L_AVATAR' => $lang['Avatar'],
	'L_POSTER_RANK' => $lang['Poster_rank'],
	'L_TOTAL_POSTS' => $lang['Total_posts'],
	'L_SEARCH_USER_POSTS' => sprintf($lang['Search_user_posts'], '<b>'. $profiledata['username'] .'</b>'),
	'L_CONTACT' => $lang['Contact'],
	'L_EMAIL_ADDRESS' => $lang['Email_address'],
	'L_OCCUPATION' => $lang['Occupation'],
	'L_INTERESTS' => $lang['Interests'],
// Start add - Gender MOD
	'L_GENDER' => $lang['Gender'],
// End add - Gender MOD

	// [MOD] Birthday
	
	'L_BIRTHDAY' => $lang['Birthday'],
	
	// [MOD] Birthday [END]

// dj_maxx: add groups display in profile
	'L_MEMBER_OF' => $lang['Member_Of'],
// end of

	'U_SEARCH_USER'     => "search.$phpEx?search_author=1&amp;uid={$profiledata['user_id']}",
	'U_SEARCH_RELEASES' => "tracker.$phpEx?rid={$profiledata['user_id']}#results",
	'L_SEARCH_RELEASES' => $lang['Search_user_releases'],

	'S_PROFILE_ACTION'  => "profile.$phpEx",
));

//bt
// Show users torrent-profile
define('IN_VIEWPROFILE', TRUE);
include(INC_DIR .'ucp/torrent_userprofile.'. $phpEx);
//bt end

$template->assign_vars(array(
	'SHOW_ACCESS_PRIVILEGE' => IS_ADMIN,
	// dj_maxx: add torrentbar
	'SHOW_TORRENTBAR'	=> $show_torrentbar,
	'TORRENTBAR_HREF'	=> $torrentbar_href,
	'TORRENTBAR_IMG'	=> $torrentbar_img,
	// end of
	'L_ACCESS'              => $lang['Access'],
	'L_ACCESS_SRV_LOAD'     => $lang['Access_srv_load'],
	'IGNORE_SRV_LOAD'       => ($profiledata['user_level'] != USER || $profiledata['ignore_srv_load']) ? $lang['NO'] : $lang['YES'],
	'IGNORE_SRV_LOAD_EDIT'  => ($profiledata['user_level'] == USER),
));

if (IS_ADMIN)
{
	$template->assign_vars(array(
		'EDITABLE_TPLS' => true,

		'U_MANAGE'      => "admin/admin_users.$phpEx?mode=edit&amp;u={$profiledata['user_id']}",
		'U_PERMISSIONS' => "admin/admin_ug_auth.$phpEx?mode=user&amp;u={$profiledata['user_id']}",

		'L_MANAGE'      => 'Profile',
		'L_PERMISSIONS' => 'Permissions',
	));
}


// dj_maxx: add ratio donor mod
$id = $profiledata['user_id'];
$name = $profiledata['username'];
$gb = 1073741824;
$table = "";
$sql = "SELECT u.username, d.donator_id, d.data, d.upload
	FROM      donor d
	LEFT JOIN ". USERS_TABLE      ." u ON(u.user_id  = d.donator_id)
	WHERE d.donor_id  = $id ORDER BY d.data DESC
	";
$result = $db->sql_query($sql);
$row = $db->sql_fetchrow($result);
if (isset($row['upload']))
{
	$table = "<table class='forumline forum'>
	<col class='row1' width='33.3%'>
	<col class='row2' width='33.3%'>
	<col class='row3' width='33.3%'>
	<tr>
	  <th colspan='3'> ,  ".$name."  :</th>
	</tr>";
	do
	{
		$table .= "
		  <tr>
		    <td align='center'><a href=".PROFILE_URL.$row['donator_id'].">".$row['username']."</td>
		    <td align='center'><span style='color:#800000'>".round($row['upload']/$gb,0)." </span></td>
		    <td align='center'>".bb_date(strtotime($row['data']))."</td>
		  </tr>
		";
	}
	while ($row = mysql_fetch_array ($result));
	$table = $table."</table>";
}

$template->assign_vars(array(
	'TABLE' => $table
));

$table = '';
$sql = "SELECT u.username, d.donor_id, d.data, d.upload
	FROM      donor d
	LEFT JOIN ". USERS_TABLE      ." u ON(u.user_id  = d.donor_id)
	WHERE d.donator_id  = $id ORDER BY d.data DESC
	";
$result = $db->sql_query($sql);
$row = $db->sql_fetchrow($result);

if (isset($row['upload']))
{
	$table = "<table class='forumline forum'>
	<col class='row1' width='33.3%'>
	<col class='row2' width='33.3%'>
	<col class='row3' width='33.3%'>
	<tr>
	  <th colspan='3'> ,   ".$name.":</th>
	</tr>";
	do
	{
		$table .= "
		  <tr>
		    <td align='center'><a href=".PROFILE_URL.$row['donor_id'].">".$row['username']."</td>
		    <td align='center'><span style='color:#090'>".round($row['upload']/$gb,0)." </span></td>
		    <td align='center'>".bb_date(strtotime($row['data']))."</td>
		  </tr>
		";
	}
	while ($row = mysql_fetch_array ($result));
	$table.='</table>';
}
$template->assign_vars(array(
	'TABLE2' => $table
));
// end of

print_page('usercp_viewprofile.tpl');


