<?php

define('IN_PHPBB', true);
define('BB_ROOT', './');
define('BB_SCRIPT', 'medal');
$phpEx = substr(strrchr(__FILE__, '.'), 1);
require(BB_ROOT ."common.$phpEx");


/* Settings */
$current_time = (isset($_GET['time']) && $_GET['time'] == 'all') ? 0 : time();


// Start session management
$user->session_start(array('req_login' => true));


//
// Output page header and load viewonline template
//
$template->assign_vars(array(
	'PAGE_TITLE' => ' !',
));



$datastore->enqueue('medal_cache_coolness_new');
$datastore->enqueue('medal_cache_1_new');
$datastore->enqueue('medal_cache_2_new');
$datastore->enqueue('medal_cache_3_new');

// dj_maxx: add coolness mod
$medalrow = $datastore->get('medal_cache_coolness_new');

if ( $medalrow )
{
        
        for ($i = 0; $i < count($medalrow); $i++)
        {
                $username = $medalrow[$i]['username'];
                $user_id = $medalrow[$i]['user_id'];
                $joined = create_date($lang['DATE_FORMAT'], $medalrow[$i]['user_regdate'], $board_config['board_timezone']);
                $session_time = create_date($lang['DATE_FORMAT'], $medalrow[$i]['user_session_time'], $board_config['board_timezone']);
				$releases = $medalrow[$i]['user_releases'];
				$seed_bonus = sprintf("%.2f",$medalrow[$i]['seed_bonus']);
				$reputation = $medalrow[$i]['user_reputation'];
                $user_coolness = sprintf("%.0f",$medalrow[$i]['user_coolness']);

                $row_class = ( !($i % 2) ) ? 'row1' : 'row2';
                $template->assign_block_vars('memberrow_coolness', array(
                        'ROW_NUMBER' => $i+1,
                        'ROW_CLASS' => $row_class,
                        'USERNAME' => $username,
                        'JOINED' => $joined,
						'LAST_VISIT' => $session_time,
                        'RELEASES' => $releases,
                        'SEED_BONUS' => $seed_bonus,
                        'REPUTATION' => $reputation,
						'COOLNESS' => $user_coolness,
                        'U_VIEWPROFILE' => append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$user_id"))
                );
        }
}
// end of

/*
$medalrow = $datastore->get('medal_cache_1_new');

if ( $medalrow )
{
        
        for ($i = 0; $i < count($medalrow); $i++)
        {
                $username = $medalrow[$i]['username'];
                $user_id = $medalrow[$i]['user_id'];
                $joined = create_date($lang['DATE_FORMAT'], $medalrow[$i]['user_regdate'], $board_config['board_timezone']);
                $ratio = sprintf("%.2f",$medalrow[$i]['rat']);
                $download = $medalrow[$i]['u_down_total'];
                $upload = $medalrow[$i]['u_up_total'];

                $row_class = ( !($i % 2) ) ? 'row1' : 'row2';
                $template->assign_block_vars('memberrow', array(
                        'ROW_NUMBER' => $i + 1,
                        'ROW_CLASS' => $row_class,
                        'USERNAME' => $username,
                        'JOINED' => $joined,
                        'UP_DOWN_RATIO' => $ratio,
                        'UP' => humn_size ($upload),
                        'DOWN' => humn_size ($download),
                        'U_VIEWPROFILE' => append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$user_id"))
                );
        }
}



$medalrow = $datastore->get('medal_cache_2_new');


if ( $medalrow )
{
        for ($i = 0; $i < count($medalrow); $i++)
        {
                $username = $medalrow[$i]['username'];
                $user_id = $medalrow[$i]['user_id'];
                $joined = create_date($lang['DATE_FORMAT'], $medalrow[$i]['user_regdate'], $board_config['board_timezone']);
                $ratio1 = $medalrow[$i]['rat1'];
                $download = $medalrow[$i]['u_down_total'];
                $upload = $medalrow[$i]['u_up_total'];

                $row_class = ( !($i % 2) ) ? 'row1' : 'row2';
                $template->assign_block_vars('memberrow1', array(
                        'ROW_NUMBER' => $i + 1,
                        'ROW_CLASS' => $row_class,
                        'USERNAME' => $username,
                        'JOINED' => $joined,
                        'UP_DOWN_RATIO1' => humn_size ($ratio1),
                        'UP' => humn_size ($upload),
                        'DOWN' => humn_size ($download),
                        'U_VIEWPROFILE' => append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$user_id"))
                );
        }
}

$medalrow = $datastore->get('medal_cache_3_new');

if ( $medalrow )
{
        for ($i = 0; $i < count($medalrow); $i++)
        {
                $username = $medalrow[$i]['username'];
                $user_id = $medalrow[$i]['user_id'];
                $category = $medalrow[$i]['cat_id'];
                $forum_name = $medalrow[$i]['forum_name'];
                $forum_id = $medalrow[$i]['forum_id'];
                $complete = $medalrow[$i]['complete'];
                $topic_title = $medalrow[$i]['topic_title'];
                $topic_id = $medalrow[$i]['topic_id'];
                $reg_time = create_date($lang['DATE_FORMAT'], $medalrow[$i]['reg_time'], $board_config['board_timezone']);

                $row_class = ( !($i % 2) ) ? 'row1' : 'row2';
                $template->assign_block_vars('torrentsrow', array(
                        'ROW_NUMBER' => $i + 1,
                        'ROW_CLASS' => $row_class,
                        'USERNAME' => $username,
                        'CATEGORY' => $category,
                        'FORUM_NAME' => $forum_name,
                        'FORUM_HREF' => append_sid("viewforum.$phpEx?f=". $medalrow[$i]['forum_id']),
                        'COMPLETE_COUNT' => $complete,
                        'REG_TIME' => $reg_time,
                        'TOPIC_TITLE' => $topic_title,
                        'TOPIC_HREF'   => append_sid("viewtopic.$phpEx?t=". $medalrow[$i]['topic_id']),
                        'U_VIEWPROFILE' => append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$user_id"))
                );
        }

}
*/

print_page('medal_body.tpl');


?>