<?php

// rss 2.0 mod, (c) 2014 dj_maxx 

define('IN_PHPBB',   true);
define('IN_SERVICE', true);
define('NO_GZIP', true);
define('BB_ROOT',  './');
$phpEx = substr(strrchr(__FILE__, '.'), 1);
require(BB_ROOT ."common.$phpEx");
require(BB_ROOT ."attach_mod/attachment_mod.$phpEx");

//------------------------------------------------------------------------------

// avoid usage of f$#king make_url which is web server dependant
$server_url = 'http://' . $bb_cfg['sitename'] . $bb_cfg['script_path'];

//-----------------------------------------------------------------------------
//  
//-----------------------------------------------------------------------------
//  , 0 - , 1 -   
$mode = intval(request_var('mode', 0));
if ($mode == 0)
{
	$limit = 25;
}
elseif ($mode == 1)
{
	$limit = 100;
}
else
{
	die ("Wrong parameters!");
}
//   ,   -  
$fid = intval(request_var('fid', 0));
//-----------------------------------------------------------------------------


$forums = $datastore->get('cat_forums');
$forbidden_forums = $forums['not_auth_forums']['guest_read'];

//    
$filter = ''; $f_name = '';
if ($fid > 0)
{    
    $parent_fid = $forums['f'][$fid]['forum_parent'];
    $cid = $forums['f'][$fid]['cat_id'];
    $f_name = ($parent_fid ? $forums['f'][$parent_fid]['forum_name'].' > ' : '').$forums['f'][$fid]['forum_name'];

    if (!empty($forums['f'][$fid]['subforums']))
    {
        $fids = implode(',', $forums['f'][$fid]['subforums']);
    	$filter .= "AND t.forum_id in ($fid,$fids)";
    }
    else
    {
        $filter .= "AND t.forum_id = $fid";
    }
}

$sql = "SELECT	t.forum_id,
t.topic_id,
u.username,
t.topic_title,
p.post_html,
t.topic_time,
tor.attach_id,
tor.size,
(ts.seeders + ts.seeders_ext) AS seeders,
(ts.leechers + ts.leechers_ext) AS leechers
FROM
bb_topics t
LEFT JOIN bb_posts_html p ON t.topic_first_post_id = p.post_id
LEFT JOIN bb_bt_torrents tor ON t.topic_id = tor.topic_id
LEFT JOIN bb_bt_tracker_snap ts ON t.topic_id = ts.topic_id
LEFT JOIN bb_users u ON t.topic_poster = u.user_id
WHERE
t.topic_dl_type = 1 AND
tor.tor_status in (2,10) AND
t.forum_id NOT IN ($forbidden_forums) $filter
ORDER BY tor.reg_time DESC
LIMIT $limit";

$rows = $db->fetch_rowset($sql);

$xml = "<?xml version=\"1.0\" encoding=\"windows-1251\"?>\n";

if ($mode == 0) // 
{
    $xml .= "<rss version=\"2.0\" \n";
    $xml .= "	xmlns:atom=\"http://www.w3.org/2005/Atom\"\n";
    $xml .= "	xmlns:dc=\"http://purl.org/dc/elements/1.1/\"\n";
    $xml .= "	xmlns:thr=\"http://purl.org/syndication/thread/1.0\"\n";
    $xml .= "	xmlns:wfw=\"http://wellformedweb.org/CommentAPI/\"\n";
    $xml .= "	xmlns:slash=\"http://purl.org/rss/1.0/modules/slash/\"\n";
    $xml .= ">\n";
}
elseif ($mode == 1) // 
{
	$xml .= "<rss version=\"2.0\">\n";
}

$xml .= "<channel>\n";

$xml .= "<title>Underverse RSS</title>\n";
$xml .= "<link>http://underver.se/</link>\n";
$xml .= "<ttl>15</ttl>\n";
$xml .= "<description>$f_name</description>\n";
if ($mode == 0)
{
    $xml .= "<atom:link href=\"".$server_url."rss.xml\" rel=\"self\" type=\"application/rss+xml\" />\n";
}
$xml .= "<lastBuildDate>".date(DATE_RSS, TIMENOW)."</lastBuildDate>\n";

foreach ($rows as $row)
{
        $forum_id = $row['forum_id'];
		$parent_id = $forums['f'][$forum_id]['forum_parent'];
		$cat_id = $forums['f'][$forum_id]['cat_id'];
		$forum_name = ($parent_id ? $forums['f'][$parent_id]['forum_name'] : '')." > ".$forums['f'][$forum_id]['forum_name'];

		$category = htmlspecialchars($forums['cat_title_html'][$cat_id]." > ".$forum_name);

		$seeders = isset($row['seeders']) ? $row['seeders'] : 0;
		$leechers = isset($row['leechers']) ? $row['leechers'] : 0;

		$xml .= "<item>\n";
		
		if ($mode == 0)
		{
		    $xml .= "    <title>".htmlspecialchars($row['topic_title'])."</title>\n";
		    $xml .= "    <link>".$server_url."viewtopic.$phpEx?t=".$row['topic_id']."</link>\n";
		    $xml .= "    <pubDate>".date(DATE_RSS, $row['topic_time'])."</pubDate>\n";
		    $xml .= "    <guid isPermaLink=\"true\">".$server_url."viewtopic.$phpEx?t=".$row['topic_id']."</guid>\n";
		    $xml .= "    <description>".htmlspecialchars(rel_short_desc($row['post_html']))."</description>\n";
		    $xml .= "    <dc:creator>".htmlspecialchars($row['username'])."</dc:creator>\n";
		    // $xml .= "    <atom:link rel=\"replies\" type=\"application/rss+xml\" href=\"\" thr:count=\"0\" thr:updated=\"2014-04-14T21:08:38+04:00\" />\n";
		    //<wfw:commentRss>http://nnm-club.me/forum/rss.php?topic=777354</wfw:commentRss>
		    //<slash:comments>0</slash:comments>
		    $xml .= "<enclosure url=\"".$server_url."download.$phpEx?id=".$row['attach_id']."\" length=\"".$row['size']."\" type=\"application/x-bittorrent\" />\n";
		}
		elseif ($mode == 1)
		{
		    $xml .= "    <title>".htmlspecialchars($row['topic_title']." - <".humn_size($row['size'],null,null,' ').">")."</title>\n";
		    $xml .= "    <link>".$server_url."viewtopic.$phpEx?t=".$row['topic_id']."</link>\n";
		    $xml .= "    <pubDate>".date(DATE_RSS, $row['topic_time'])."</pubDate>\n";
		    $xml .= "    <guid isPermaLink=\"false\">underverse-".$row['topic_id']."</guid>\n";
		    $xml .= "    <description>".htmlspecialchars("<a href='".$server_url."viewtopic.$phpEx?t=".$row['topic_id']."'>/...</a>")."</description>\n";
		    $xml .= "    <author>".htmlspecialchars($row['username'])."</author>\n";
		    
		    
		}
    	$xml .= "</item>\n";
}

$xml .= "</channel>\n";
$xml .= "</rss>\n";

header("Content-Type: application/xml");
echo $xml;
?>