<style type="text/css">

#ts_player {
    width: 800px;
    height: 480px;
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    color: white;
    background: black;
    font-size: 16px;
}

</style>

<?php

/**
 *  Filename: ts_ajax.php
 *  Description: TS player invoker
 *  Copyright: (c) 2013 dj_maxx
 */


define('IN_PHPBB', true);
define('BB_ROOT', './');

$phpEx = substr(strrchr(__FILE__, '.'), 1);

require(BB_ROOT ."common.$phpEx");
require($phpbb_root_path . 'attach_mod/attachment_mod.'. PHP_EXT);
require(INC_DIR .'functions_torrent.'. PHP_EXT);
require(INC_DIR .'ts_client.'. PHP_EXT);

define('API_KEY', 'e3a0d8ee7cde0a130097c421497aae83'); //   ,    " "
define('ZONE_ID', 2655); //  ,    "",  "ID"


function ts_die($message)
{
    die("<div id=\"ts_player\">$message</div>");
}

//   ,      (       )
$min_seeders = 10;
//  
$attach_id = request_var('id', 0);

// Start session management
$user->session_start();

//    -    ( )     
$sql = "SELECT
            a.post_id,
            d.physical_filename, d.tracker_status,
            p.forum_id,
            t.topic_id, t.topic_title, t.allow_guest
		FROM " . ATTACHMENTS_TABLE . " a
		    LEFT JOIN  " . ATTACHMENTS_DESC_TABLE . " d ON (d.attach_id = a.attach_id)
		    LEFT JOIN  " . POSTS_TABLE . " p ON (p.post_id = a.post_id)
		    LEFT JOIN  " . TOPICS_TABLE . " t ON (t.topic_id = p.topic_id)
		WHERE a.attach_id = " . (int) $attach_id . " LIMIT 1";  // ,    1    :)

if ( !($row = $db->fetch_row($sql)) )
{
    ts_die("Cannot find such attachment!");
}

$attachment['tracker_status'] = (int) $row['tracker_status'];
$attachment['allow_guest'] = (int) $row['allow_guest'];
$attachment['post_id'] = (int) $row['post_id'];
$attachment['topic_id'] = (int) $row['topic_id'];
$attachment['forum_id'] = (int) $row['forum_id'];
$attachment['topic_title'] = iconv('windows-1251', 'UTF-8', $row['topic_title']);
$attachment['physical_filename'] = get_attachments_dir() . '/' . basename($row['physical_filename']);

if (!$attachment['tracker_status'])
{
	ts_die("Torrent not registered!");
}
	
$is_auth = auth(AUTH_ALL, $attachment['forum_id'], $userdata);
	
if (!$is_auth['auth_download'] && !$attachment['allow_guest'])
{
    ts_die("Unauthorized!");
}
if (!file_exists($attachment['physical_filename']))
{
    ts_die("Torrent file " . $attachment['physical_filename'] . " does not exists (attachments table corrupt?)!");
}
    
//   
$seeders = 0;

$sql = "SELECT IF(sn.seeders > sn.seeders_ext, sn.seeders, sn.seeders_ext) AS seeders
        FROM " . BT_TRACKER_SNAP_TABLE . " sn WHERE sn.topic_id = " . $attachment['topic_id'];

if ($row = $db->fetch_row($sql))
{
    $seeders = (int) $row['seeders'];
}
if ($seeders < $min_seeders)
{
    ts_die(" !     $min_seeders   !");
}
/**/

// @debug
//print_r($attachment);
//

//        (  send_torrent_with_passkey)
if (!$tor = bdecode_file($attachment['physical_filename']))
{
    ts_die('This is not a bencoded file');
}

unset($tor['announce-list']);

$tor['announce'] = 'http://'.$board_config['sitename'].'/strimik/announce';

// dj_maxx: add retracker support (only if no SSL)
if (!$board_config['cookie_secure'])
{
    my_add_retracker($tor);
}
// end of

$publisher = $board_config['bt_add_publisher'];
$publisher_url = ($attachment['post_id']) ? make_url(POST_URL . $attachment['post_id']) : '';

if ($publisher)
{
    $tor['publisher'] = strval($publisher);
    unset($tor['publisher.utf-8']);

    if ($publisher_url)
    {
        $tor['publisher-url'] = strval($publisher_url);
        unset($tor['publisher-url.utf-8']);
    }
}

$comment = '';

if ($board_config['bt_add_comment'])
{
    $comment = $board_config['bt_add_comment'];
}
else
{
    $comment = ($publisher_url) ? $publisher_url : '';
}

if ($comment = trim($comment))
{
    $tor['comment'] = strval($comment);
    unset($tor['comment.utf-8']);
}

//Azureus DHT disable (? unneeded ?)
$tor['azureus_properties'] = array('dht_backup_enable' => intval(0));

//

//  
$client = new TS_Client(API_KEY);

/*
 *  add_content   :
* - id 
* -  torrent-   base64
* -   ( UTF-8)
* -   
*
*       Torrent Stream      ($content_uid).
*     FALSE.
*/
$content_uid = $client->add_content(ZONE_ID, base64_encode(bencode($tor)), $attachment['topic_title']);

//            Torrent Stream
// header('Location: http://torrentstream.org/play.php?id=' . $content_uid);

//          
echo "<div id=\"ts_player\">,   ...</div>

<script type=\"text/javascript\">
$.getScript(\"http://torrentstream.net/p/" . $content_uid . "\",
           function() {
               tsplayer(\"ts_player\", {autoPlay: true});
           }
);
</script>";


?>