<?php

define('IN_PHPBB', true);
define('BB_ROOT', './');
define('BB_SCRIPT', 'unrespect');
$phpEx = substr(strrchr(__FILE__, '.'), 1);
require(BB_ROOT ."common.$phpEx");


// Start session management
$user->session_start(array('req_login' => true));

//
// Generate page
//
$page_title = ' !';

$medal_num_recent = 100;

$sql = 'SELECT u.username, u.user_id, u.user_regdate,tr.user_id, tr.u_up_total, tr.u_down_total, tr.u_up_total/tr.u_down_total AS rat
	FROM '. BT_USERS_TABLE .' tr,' . USERS_TABLE . " u
	WHERE u.user_id = tr.user_id 
	AND u.user_regdate < " . (TIMENOW - 30 * 24 * 3600) . "	
	AND u.user_lastvisit > " . (TIMENOW - 30 * 24 * 3600) . "	
	AND tr.u_down_total > 5*1024*1024*1024
	AND u.user_id not in (select ban_userid from " . BANLIST_TABLE . ")
	ORDER BY rat ASC
        LIMIT $medal_num_recent";
if( !($result = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not query users', '', __LINE__, __FILE__, $sql);
}
if ( $row = $db->sql_fetchrow($result) )
{
	$i = 0;
	do {
		$username = $row['username'];
		$user_id = $row['user_id'];
		$joined = create_date($lang['DATE_FORMAT'], $row['user_regdate'], $board_config['board_timezone']);
		$ratio = $row['rat'];
		$download = $row['u_down_total'];
		$upload = $row['u_up_total'];

		$row_class = ( !($i % 2) ) ? 'row1' : 'row2';
		$template->assign_block_vars('memberrow_bad', array(
			'ROW_NUMBER' => $i + 1,
			'ROW_CLASS' => $row_class,
			'USERNAME' => $username,
			'JOINED' => $joined,
			'UP_DOWN_RATIO' => $ratio,
			'UP' => humn_size ($upload),
			'DOWN' => humn_size ($download),
			'U_VIEWPROFILE' => append_sid("profile.$phpEx?mode=viewprofile&amp;" . POST_USERS_URL . "=$user_id"))
		);
		$i++;
	} while ( $row = $db->sql_fetchrow($result) );

	$db->sql_freeresult($result);
}

// test
//include($phpbb_root_path . 'includes/bbcode.'.$phpEx);
//include($phpbb_root_path . 'includes/functions_post.'.$phpEx);
//insert_pm($userdata['user_id'], $lang['Low_ratio_text'], $lang['Low_ratio_title'], BOT_UID);
//

print_page('unrespect_body.tpl');
?>
