<?php

/**
 * @author dj_maxx
 * @version 1.0a
 * @desc     Underverse,        
 *       javascript,       .
 *    ,    .
 * @uses torrentpier simple_html_dom
 */

define('IN_PHPBB', true);
define('BB_ROOT', '../');
$phpEx = substr(strrchr(__FILE__, '.'), 1);
require(BB_ROOT ."common.$phpEx");
require(BB_ROOT. "includes/class.snoopy.$phpEx");
require(BB_ROOT. "includes/simple_html_dom.$phpEx");
//----------------------------------------------------------------------------//

//  , @todo       
$kp_login = 'underverse';
$kp_pass = 'buggyslik';
//----------------------------------------------------------------------------//

//   
$to = request_var('to', 'kp');
$query = request_var('query', '');
$id = request_var('id', '');
//----------------------------------------------------------------------------//

$kp = new Kinopoisk($kp_login, $kp_pass);
if ($to == 'info')   { $kp->info($id);          }
if ($to == 'search') { $kp->search($query);     }
if ($to == 'image')  { $kp->image($query, $id); }

// some debugging
if ($to == 'debug')  { $kp->test_kp();          }


//----------------------------------------------------------------------------//
class Kinopoisk {
    
    private $login;
    private $pass;
    private $encoding;
    private $snoopy;
    
    /**
     *
     */
    public function __construct($kp_login, $kp_pass, $kp_encoding = 'cp1251') {
        $this->login = $kp_login;
        $this->pass = $kp_pass;
        $this->encoding = $kp_encoding;
    }
    
    /**
     *         
     */
    private function encapsules($st) {
        $st = preg_replace('[0-9!@#$%^&*()]','', $st);
    
        $a = array(''=>'A', ''=>'B',''=>'V',''=>'G',''=>'D',''=>'E',''=>'JO',''=>'ZH',''=>'Z',''=>'I',''=>'J',''=>'K',''=>'L',''=>'M',''=>'N',''=>'O',''=>'P',''=>'R',''=>'S',''=>'T',''=>'U',''=>'F',''=>'KH',''=>'TS',''=>'CH',''=>'SH',''=>'SCH',''=>'',''=>'Y',''=>'',''=>'E',''=>'JU',''=>'JA',' '=>'_');
        $b = array(''=>'a', ''=>'b',''=>'v',''=>'g',''=>'d',''=>'e',''=>'jo',''=>'zh',''=>'z',''=>'i',''=>'j',''=>'k',''=>'l',''=>'m',''=>'n',''=>'o',''=>'p',''=>'r',''=>'s',''=>'t',''=>'u',''=>'f',''=>'kh',''=>'ts',''=>'ch',''=>'sh',''=>'sch',''=>'',''=>'y',''=>'',''=>'e',''=>'ju',''=>'ja','|'=>'',' '=>'_','('=>'',')'=>'');
    
        $st = strtr($st, $a);
        $st = strtr($st, $b);
    
        return $st;
    }
    
    /**
     *      -
     */
    private function html_entity_decode_lite($str) {
        $str = str_replace('&laquo;', '', $str);
        $str = str_replace('&raquo;', '', $str);
        $str = str_replace('&nbsp;', ' ', $str);
        $str = str_replace('&#151;', '', $str);
        $str = str_replace('&#133;', '', $str);
        $str = str_replace('&nbsp;', ' ', $str);
        
        $str = str_replace('\'', '`', $str);
        
        return $str;
        
    }
    
    /**
     *     cURL  GET  POST
     */
    private function fetch_web_page($url, $referer, $method = 'GET', $params = array(), $cookies = array())
    {
        $options = array(
            CURLOPT_RETURNTRANSFER => true,     // return web page
            CURLOPT_HEADER         => true,     // return headers
            CURLOPT_FOLLOWLOCATION => true,     // follow redirects
            CURLOPT_ENCODING       => "",       // handle all encodings
            CURLOPT_USERAGENT      => "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.99 Safari/537.36", // who am i
            CURLOPT_AUTOREFERER    => true,     // set referer on redirect
            CURLOPT_CONNECTTIMEOUT => 30,       // timeout on connect
            CURLOPT_TIMEOUT        => 30,       // timeout on response
            CURLOPT_MAXREDIRS      => 10,       // stop after 10 redirects
            CURLOPT_SSL_VERIFYPEER => false     // Disabled SSL Cert checks
        );

        $ch = curl_init($url);
        curl_setopt_array($ch, $options);

        if (!empty($referer))  // referrer
        {
            curl_setopt($ch, CURLOPT_REFERER, $referer);
        }

        if (!empty($cookies))  // cookies
        {
            $cookie_string = http_build_query($cookies, null, ';');
            curl_setopt($ch, CURLOPT_COOKIE, $cookie_string);  
        }

        if ($method == 'POST')  // POST
        {
            curl_setopt($ch, CURLOPT_POST, true);   

            if (!empty($params)) 
            { 
                $params_string = http_build_query($params);
                curl_setopt($ch, CURLOPT_POSTFIELDS, $params_string);         
            }
        }


        $content = curl_exec($ch);
        $err     = curl_errno($ch);
        $errmsg  = curl_error($ch);
        $info    = curl_getinfo($ch);

        // separate flies from cutlets
        if (strpos($content,"\r\n\r\n") !== false)
        {
            $redirect_count = curl_getinfo($ch, CURLINFO_REDIRECT_COUNT);
            $response       = explode("\r\n\r\n", $content, $redirect_count + 2);
            $head           = implode("\r\n\r\n", array_slice($response, 0, $redirect_count + 1));
            $body           = end($response);
        }
        else 
        {
            $body = '';  
            $head = '';
        }

        curl_close($ch);

        // returning cookies
        $cookies = array();
        
        if (!empty($head))
        {
            preg_match_all('/^Set-Cookie:\s*([^;]*)/mi', $head, $matches);
        
            foreach ($matches[1] as $item) 
            {
                parse_str($item, $cookie);
                $cookies = array_merge($cookies, $cookie);
            }
        }
        
        $info['errno']   = $err;
        $info['errmsg']  = $errmsg;
        $info['header']  = $head;
        $info['body']    = $body;
        $info['content'] = $content;  // unparsed
        $info['cookies'] = $cookies;

        return $info;
    }

    /**
     *     ,   .
     *      
     */
    private function auth($debug = false) {
        
        $post_array = array(
                    'login'    => $this->login,
                    'password' => $this->pass,
        );
        
        //    
        $data = $this->fetch_web_page('https://kinopoisk.ru', // 'https://httpbin.org/post',
                               'https://plus.kinopoisk.ru/embed/login/?retPath=https%3A%2F%2Fwww.kinopoisk.ru%2F', 'POST', $post_array);
        
        if ($debug) { 
            print $data['header']."\r\n----\r\n";
            print $data['body'];
            //print $data['content'];
        }
        
        //   (@todo:    ,     )
        file_put_contents(CACHE_DIR.'uv_search/cookie.txt', serialize($data['cookies']));
        
        return $data['cookies'];
             
    }
    
    /**
     *         
     */
    private function fetch_kp($URI) {
        
        //
        $cookie = unserialize(@file_get_contents(CACHE_DIR.'uv_search/cookie.txt'));
        
        //     -    
        if (empty($cookie['forum_data[login]']))
        {
            bb_log(date('H:i:s').' - First attempt login to Kinopoisk. No cookie?' . LOG_LF, 'uv_search');
            
            $cookie = $this->auth();
        }
        
        $this->snoopy->cookies = $cookie;
        $this->snoopy->referer = "http://www.kinopoisk.ru/";
        $this->snoopy->fetch($URI);
        
        //  ,   1    (  ,    )
        if (strpos($this->snoopy->results, $this->login) === false)
        {
            bb_log(date('H:i:s').' - Retrying login to Kinopoisk. Bad cookie?' . LOG_LF, 'uv_search');
            
            $cookie = $this->auth();
            
            $this->snoopy->cookies = $cookie;
            $this->snoopy->referer = "http://www.kinopoisk.ru/";
            $this->snoopy->fetch($URI);
            
            if (strpos($this->snoopy->results, $this->login) === false)
            {
                bb_log(date('H:i:s').' - Failed to login after second attempt. Banned?' . LOG_LF, 'uv_search');
            }
        }
        
        return $this->snoopy->results;
        
    }

    /**
     *        
     */
    public function test_kp() {

        $cookie = $this->auth(true);

        print_r($cookie);
    }

    
    /**
     *     /IMDB   
     */
    public function image($query, $id) {
        global $bb_cache;
        
        if (strpos($query, 'kp') !== false) { $query = 'kp'; }       // kp_1, kp_2, etc.   ,     
        elseif (strpos($query, 'imdb') !== false) 
        {
            $query = 'imdb';         
            $id = str_replace('tt', '', $id);  //     ( id imdb)
        }
        
        // ""  -     
        if ( !file_exists("cache/${query}_${id}.png") || (filemtime("cache/${query}_${id}.png") < (time() - 3600*24*7)) )
        {
            if ($query == 'kp')
            {
                $data = $this->fetch_web_page("https://rating.kinopoisk.ru/${id}.xml", "https://www.kinopoisk.ru/");
                                
                preg_match('~<kp_rating num_vote="([0-9]+)">([0-9]\.[0-9]+)</kp_rating>~si', $data['body'], $kp_out);
                $kp_votes = intval(@$kp_out[1]);
                $kp_rating = number_format(floatval(@$kp_out[2]),1);
            
                $img = ImageCreateFromPNG('images/background_kinopoisk.png');
                $img_stars = ImageCreateFromPNG('images/stars.png');
                imagecopy($img, $img_stars, -1, 27, 11, 11, $kp_rating*10, 10);
                imagedestroy($img_stars);
                $size = ImageTTFBBox(12,0, 'ttf/Mobicrg.otf', $kp_rating);
                $X = 100 - $size[2];
                imagettftext($img, 12, 0, $X, 14, imagecolorallocate($img, '249', '223', '104'), 'ttf/Mobicrg.otf', $kp_rating);
                $size = ImageTTFBBox(6,0, 'ttf/Intermosaic.ttf', $kp_votes);
                $X = 100 - $size[2];
                imagettftext($img, 6, 0, $X, 24, imagecolorallocate($img, '255', '255', '255'), 'ttf/Intermosaic.ttf', $kp_votes);
                imagettftext($img, 6, 0, 15, 45, imagecolorallocate($img, '125', '125', '125'), 'ttf/Intermosaic.ttf', 'underver.se');
                imagepng($img, "cache/kp_$id.png");
                imagedestroy($img);
            }
            elseif ($query == 'imdb')
            {
                $data = $this->fetch_web_page("http://www.imdb.com/title/tt${id}/", "http://www.imdb.com/");
				
				//      ,         	
                preg_match('~([0-9]\.[0-9]+) based on (.*) user ratings~', $data['body'], $user_out);
    		    $imdb_rating = floatval(@$user_out[1]);
                $imdb_votes = intval(str_replace(',', '', @$user_out[2]));
                
                $img = @ImageCreateFromPNG('images/background_imdb.png');
                $img_stars = ImageCreateFromPNG('images/stars.png');
                imagecopy($img, $img_stars, -1, 27, 11, 11, $imdb_rating*10, 11);
                imagedestroy($img_stars);
                $size = ImageTTFBBox(12,0, 'ttf/Mobicrg.otf', $imdb_rating);
                $X = 100 - $size[2];
                imagettftext($img, 12, 0, $X, 14, imagecolorallocate($img, '249', '223', '104'), 'ttf/Mobicrg.otf', $imdb_rating);
                $size = ImageTTFBBox(6,0, 'ttf/Intermosaic.ttf', $imdb_votes);
                $X = 100 - $size[2];
                imagettftext($img, 6, 0, $X, 24, imagecolorallocate($img, '255', '255', '255'), 'ttf/Intermosaic.ttf', $imdb_votes);
                imagettftext($img, 6, 0, 15, 45, imagecolorallocate($img, '125', '125', '125'), 'ttf/Intermosaic.ttf', 'underver.se');
                imagepng($img, "cache/imdb_$id.png");
                imagedestroy($img);
            }
        }
                
        //     
        header("Content-type: image/png");
        header("Cache-Control: no-store, no-cache, must-revalidate");
        header("Expires: " . date("r"));
        print (@file_get_contents("cache/${query}_${id}.png"));
        
        // print "kp_r: $kp_rating, kp_votes: $kp_votes, imdb_r: $imdb_rating, imdb_votes: $imdb_votes";
        
    }

    /**
     *    javascript- ,   
     */
    public function search($query) {
        
        $content = $this->fetch_kp('http://www.kinopoisk.ru/s/type/film/find/' . str_replace(' ', '%20', $query) . '/');
        
        $html = str_get_html($content);
        
        print "data = new Array();\n";
        foreach ($html->find('div[class=search_results]') as $res_block)
        {
            foreach($res_block->find('div[class=element]') as $ret)
            {
             	$info = $ret->find('div[class=info]',0)->children(0);  // p[class=name]
             	$link = $info->find('a',0);
             	preg_match('~([0-9]+)/sr/1/~', $link->href, $id);
                $topic_id = intval($id[0]);
             	$title = trim($this->html_entity_decode_lite($link->plaintext));
             	$year = trim(@$info->find('span[class=year]',0)->plaintext); // @ year may not exist

         	    print "set_data('$topic_id', '$title', '$year');\n";
            }
        }
        print "set_results();\n";
    }
    
    /**
     *    javascript-       id
     *
     */
    public function info($id) {
        
        $id = intval($id);
        
        $content = $this->fetch_kp("http://www.kinopoisk.ru/film/$id");
        $html = str_get_html($content);

        print "document.forms[form_name].elements['bf_kp_search'].style.display = 'none';\n";
                
        
        //   DOM-,    

        //  
        $ret = $html->find('div[id=block_rating]', 0);
        if (is_object($ret))
        {
            $kp_r = (float) trim($this->html_entity_decode_lite($ret->find('span[class=rating_ball]',0)->plaintext));
            if ($kp_r <= 0) { $kp_r = '-'; } else { $kp_r = number_format($kp_r,1); }
            print "info['kp_r'] = '$kp_r';\n";
            $kp_u =  (int) preg_replace( '/\s+/', '', $this->html_entity_decode_lite($ret->find('span[class=ratingCount]',0)->plaintext));
            if ($kp_u <= 0) $kp_u = '-';
            print "info['kp_u'] = '$kp_u';\n";
        
        
            //  
            preg_match("~IMDb: ([0-9]\.[0-9]+) \(([0-9\s]+)\)~si", $ret->innertext, $matches);
            $imdb_r = (float) @$matches[1];
            if ($imdb_r <= 0) { $imdb_r = '-'; } else { $imdb_r = number_format($imdb_r,1); }
            print "info['imdb_r'] = '$imdb_r';\n";
            $imdb_u = (int) preg_replace( '/\s+/', '', @$matches[2]);
            if ($imdb_u <= 0) $imdb_u = '-';
            print "info['imdb_u'] = '$imdb_u';\n";
        
        }
        else 
        {
            print "info['kp_r'] = 0\n";
            print "info['kp_u'] = 0\n";
            print "info['imdb_r'] = 0\n";
            print "info['imdb_u'] = 0\n";
        }
        
        print "info['id'] = '$id';\n";
        
        //    
        $name = '-';  $name_orig = '-';
        $ret = $html->find('div[id=headerFilm]', 0);
        if (is_object($ret))
        {
            $name_node = $ret->find('h1[class=moviename-big]', 0);
            $name_orig_node = $ret->find('span[itemprop=alternativeHeadline]',0);
            
            if (is_object($name_node))      { $name = trim($this->html_entity_decode_lite($name_node->plaintext)); }
            if (is_object($name_orig_node)) { $name_orig = trim($this->html_entity_decode_lite($name_orig_node->plaintext)); }
                
        }
        print "info['name'] = '$name';\n";
        print "info['name_orig'] = '$name_orig';\n";
        
        
        //      (foreach find   :()
        $ret = $html->find('table[class=info]',0);
        $ret = $ret->first_child();
        
        $name = $ret->children(0);
        $value = $ret->children(1);
        if (is_object($name) && is_object($value))
        {
            print "info['" . $this->encapsules(trim(strip_tags($name->plaintext))) . "'] = '" .
                  trim(preg_replace('~(\, \.\.\. |\, \.\.\.)~i','',preg_replace( '/\s+/', ' ', trim($this->html_entity_decode_lite($value->plaintext)))))."';\n";
        }
        
        while ($ret = $ret->next_sibling())
        {
            $name = $ret->children(0);
            $value = $ret->children(1);
            if (is_object($name) && is_object($value))
            {
                print "info['" . $this->encapsules(trim(strip_tags($name->plaintext))) . "'] = '" .
                      trim(preg_replace('~(\, \.\.\. |\, \.\.\.)~i', '',preg_replace( '/\s+/', ' ', trim($this->html_entity_decode_lite($value->plaintext)))))."';\n";
            }
        }
        
        
        // 
        $actors_arr = array();
        $ret = $html->find('div[id=actorList] ul',0);
        $ret = $ret->first_child();
        
        $value = $ret->children(0);
        if (is_object($value))
        {
            $item = $value->plaintext;
            if ($item && ($item != '...'))  { $actors_arr[] = $item; }
        }
        while ($ret = $ret->next_sibling())
        {
            $value = $ret->children(0);
            if (is_object($value))
            {
                $item = $ret->children(0)->plaintext;
                if ($item && ($item != '...'))  { $actors_arr[] = $item; }
            }
        }

        $actors = "info['acters'] = '" . implode(", ", $actors_arr) . "';\n";
        print $actors;
        
        
        // 
        $ret = trim($this->html_entity_decode_lite($html->find('span[class=_reachbanner_]',0)->plaintext));
        $ret = preg_replace('~(\t|\r|\n)~is', '', $ret); //    AJAX-,   
        $comment = "info['comment'] = '" . $ret . "';\n";
        print $comment;
        
        
        print "set_info('bf_http_request');\n";
        print "if(info['name_orig']) document.forms[form_name].elements['bf_imdb_search'].style.display = '';\n";
        
        
    }
    
}